var app = window.app = {};
app.router = {};
app.views = {};
app.collections = {};
app.models = {};
app.templates = {};
app.util = {};

$(document).ready(function() {
	'use strict';

	console.log('App is running.');

	Backbone.View.prototype.close = function(){
		this.$el.empty();
		this.unbind();
		this.undelegateEvents();
		this.stopListening();
		if (this.onClose){
			this.onClose();
		}
	};

	$.fn.serializeObject = function() {
	    var o = {};
	    var a = this.serializeArray();
	    $.each(a, function() {
	        if (o[this.name] !== undefined) {
	            if (!o[this.name].push) {
	                o[this.name] = [o[this.name]];
	            }
	            o[this.name].push(this.value || '');
	        } else {
	            o[this.name] = this.value || '';
	        }
	    });
	    return o;
	};

	FastClick.attach(document.body);

	app.options = new Backbone.Model();
	app.options.set({
		'week': parseInt(moment().format('W')),
		'currentWeek': null
	});

	app.router.previousRoute =
	app.router.previousQuery =
	app.router.currentRoute =
	app.router.currentQuery = '';

	app.options.set('api', 'http://hsgt.greygoomedia.com/api/v1/');

	app.user = new app.models.userModel();
	if (localStorage.user) {
		app.user.set(JSON.parse(localStorage.user));
	}

	app.collections.games = new app.collections.gameCollection();
	app.collections.games.fetch({success: function(){

		app.collections.schools = new app.collections.schoolCollection();
		app.collections.schools.fetch();

		app.collections.seasons = new app.collections.seasonCollection();
		app.collections.seasons.fetch();

		app.collections.conferences = new app.collections.conferenceCollection();
		app.collections.conferences.fetch();

		app.router.route = new app.router.Route();
		Backbone.history.start();

	}});


/*
	FB.init({
	    appId      : '1519529401638025',
	    cookie     : true,  // enable cookies to allow the server to access
	                        // the session
	    xfbml      : false,  // parse social plugins on this page
	    version    : 'v2.1' // use version 2.1

	});
*/

/*
	FB.getLoginStatus(function(response) {
		statusChangeCallback(response);
	});
*/


});

/*
function statusChangeCallback(response) {
    if (response.status === 'connected') {
      // Logged into your app and Facebook.
      testAPI();
    } else if (response.status === 'not_authorized') {
      // The person is logged into Facebook, but not your app.
      console.log('Please log ' + 'into this app.');
    } else {
      // The person is not logged into Facebook, so we're not sure if
      // they are logged into this app or not.
      console.log('Please log ' + 'into Facebook.');
    }
}
*/

/*
function testAPI() {
	console.log('Welcome!  Fetching your information.... ');
	FB.api('/me', function(response) {
		console.log('Successful login for: ' + response.name + ' (' + response.email + ')');
		console.log(response);
		app.user.fbLogin(response);
	});
}
*/

var device = {
    // Application Constructor
    initialize: function() {
        this.bindEvents();
    },
    // Bind Event Listeners
    //
    // Bind any events that are required on startup. Common events are:
    // 'load', 'deviceready', 'offline', and 'online'.
    bindEvents: function() {
        document.addEventListener('deviceready', this.onDeviceReady, false);
    },
    // deviceready Event Handler
    //
    // The scope of 'this' is the event. In order to call the 'receivedEvent'
    // function, we must explicitly call 'app.receivedEvent(...);'
    onDeviceReady: function() {
        device.receivedEvent('deviceready');
    },
    // Update DOM on a Received Event
    receivedEvent: function(id) {
        var parentElement = document.getElementById(id);
        var listeningElement = parentElement.querySelector('.listening');
        var receivedElement = parentElement.querySelector('.received');

        listeningElement.setAttribute('style', 'display:none;');
        receivedElement.setAttribute('style', 'display:block;');

        console.log('Received Event: ' + id);
    }
};

;

app.models = app.models || {};

(function () {
    'use strict';

	app.models.userModel = Backbone.Model.extend({
		defaults: {
			"email":	null,
			"pwd":		null,
			"active":	false
		},
		isActive: function(){
			if (this.get('active')) {
				return true;
			} else {
				return false;
			}
		},
		login: function(){
			var model = this;
			$.ajax({
				url: app.options.get('api') + 'users/login',
				type: "POST",
				dataType: "text",
				data: JSON.stringify({
					"email": model.get('email'),
					"pwd":	model.get('pwd')
				}),
				success: function(response) {
					response = JSON.parse(response);
					if (response.id) {
						model.fetchDetails(response.id, true);
					} else if (response.login && response.login === "failed") {
						app.router.route.currentView.showError();
					}
				}
			});
		},
		fbLogin: function(object){
			var model = this;
			var email = object.email;
			$.ajax({
				url: 'http://hsgt.greygoomedia.com/api/v1/users-search/' + email,
				dataType: 'json',
				success: function(response){
					if (response.users.length > 0) {
						// user exists
						model.fetchDetails(response.users[0].id, true);
					} else {
						app.options.temp = object;
						app.router.route.navigate("!/register", {"trigger": true});
					}
				}
			});
		},
		fetchDetails: function(id, login) {
			var model = this;
			$.ajax({
				url: app.options.get('api') + 'users/' + id,
				type: "GET",
				dataType: "text",
				success: function(response) {
					response = JSON.parse(response);
					model.set(response);
					model.set('active', true);
					if (login) {
						localStorage.setItem("user", JSON.stringify(model.toJSON()));
					}
					app.router.route.navigate("!/scores", {"trigger": true});
				}
			});
		},
		register: function(){
			var model = this;
			$.ajax({
				url: app.options.get('api') + 'users',
				type: "POST",
				dataType: "text",
				data: JSON.stringify({
					"email": model.get('email'),
					"fname": model.get('fname'),
					"lname": model.get('lname'),
					"pwd":	model.get('pwd'),
					"teams_id": model.get('teams_id')
				}),
				success: function(response) {
					response = JSON.parse(response);
					if (response.id) {
						response.active = true;
						app.user.set(response);
						app.router.route.navigate("!/scores", {"trigger": true});
					}
				}
			});
		}
	});

	app.models.gameModel = Backbone.Model.extend({
		url: function(){
			return app.options.get('api') + 'games/' + this.get('id');
		},
		parse: function(response) {
			var data = response;
			data.active_quarter = parseInt(data.active_quarter);
			return data;
		},
		defaults: {
			"loaded":	false
		},
		getTeamInfo: function(){
			var model = this;
			if (this.get('teams_id_home')) {
				$.ajax({
					url: app.options.get('api') + 'teams/' + model.get('teams_id_home'),
					dataType: "json",
					success: function(response) {
						model.set('home', response);
					}
				});
			}
			if (this.get('teams_id_visitor')) {
				$.ajax({
					url: app.options.get('api') + 'teams/' + model.get('teams_id_visitor'),
					dataType: "json",
					success: function(response) {
						model.set('visitor', response);
					}
				});
			}
		},
		getVenueInfo: function() {
			var model = this;
			if (this.get('venues_id')) {
				$.ajax({
					url: app.options.get('api') + 'venues/' + model.get('venues_id'),
					dataType: "json",
					success: function(response) {
						model.set('venue', response);
					}
				});
			}
		},
		getGameComments: function(){
			var model = this;
			if(this.get('id')){
				$.ajax({
					url: app.options.get('api') + 'games-comments/' + model.get('id'),
					dataType: "json",
					success: function(response) {
						console.log('Game Comments:');
						console.log(response.game_comments);
						model.set('game_comments', response.game_comments);
					}
				});
			}
		}
	});

	app.models.gameOfWeekModel = Backbone.Model.extend({
		url: function(){
			return app.options.get('api') + 'game-of-week/' + app.collections.seasons.getActiveSeason().get('id') + '/' + app.options.get('currentWeek');
		}
	});

	app.models.venueModel = Backbone.Model.extend({
		url: function(){
			return app.options.get('api') + 'venues/' + this.get('id');
		}
	});

	app.models.teamModel = Backbone.Model.extend({
		getPassing: function(){
			var model = this;
			if (!this.get('totalpassing')) {
				$.ajax({
					url: app.options.get('api') + 'gamestats/game/passing/' + this.get('game_id') + '/' + this.get('id'),
					dataType: "JSON",
					success: function(response) {
						if (response.totalpassing) {
							model.set('totalpassing', response.totalpassing);
						}
					}
				});
			}
		},
		getRushing: function(){
			var model = this;
			if (!this.get('totalrushing')) {
				$.ajax({
					url: app.options.get('api') + 'gamestats/game/rushing/' + this.get('game_id') + '/' + this.get('id'),
					dataType: "JSON",
					success: function(response) {
						if (response.totalrushing) {
							model.set('totalrushing', response.totalrushing);
						}
					}
				});
			}
		},
		getReceiving: function(){
			var model = this;
			if (!this.get('totalreceiving')) {
				$.ajax({
					url: app.options.get('api') + 'gamestats/game/receiving/' + this.get('game_id') + '/' + this.get('id'),
					dataType: "JSON",
					success: function(response) {
						if (response.totalreceiving) {
							model.set('totalreceiving', response.totalreceiving);
						}
					}
				});
			}
		},
		getOffense: function(){
			var model = this;
			if (!this.get('totaloffense')) {
				$.ajax({
					url: app.options.get('api') + 'gamestats/game/totaloffense/' + this.get('game_id') + '/' + this.get('id'),
					dataType: "JSON",
					success: function(response) {
						if (response.totaloffense) {
							model.set('totaloffense', response.totaloffense);
						}
					}
				});
			}
		},
		getTackles: function(){
			var model = this;
			if (!this.get('totaltackles')) {
				$.ajax({
					url: app.options.get('api') + 'gamestats/game/tackles/' + this.get('game_id') + '/' + this.get('id'),
					dataType: "JSON",
					success: function(response) {
						if (response.totaltackles) {
							model.set('totaltackles', response.totaltackles);
						}
					}
				});
			}
		},
		getTurnovers: function(){
			var model = this;
			if (!this.get('totalturnovers')) {
				$.ajax({
					url: app.options.get('api') + 'gamestats/game/turnovers/' + this.get('game_id') + '/' + this.get('id'),
					dataType: "JSON",
					success: function(response) {
						if (response.totalturnovers) {
							model.set('totalturnovers', response.totalturnovers);
						}
					}
				});
			}
		},
		getAll: function(){
			this.getPassing();
			this.getRushing();
			this.getReceiving();
			this.getOffense();
			this.getTackles();
			this.getTurnovers();
		},
		getPlayers: function(){
			this.getPlayersPassing();
			this.getPlayersRushing();
			this.getPlayersReceiving();
			this.getPlayersDefense();
			this.getPlayersKicking();
			this.getPlayersPunting();
		},
		getPlayersPassing: function(){
			var model = this;
			if (!this.get('player_passing')) {
				$.ajax({
					url: app.options.get('api') + 'gamestats/players/passing/' + this.get('game_id') + '/' + this.get('id'),
					dataType: "JSON",
					success: function(response) {
						model.set(response);
					}
				});
			}
		},
		getPlayersRushing: function(){
			var model = this;
			if (!this.get('player_rushing')) {
				$.ajax({
					url: app.options.get('api') + 'gamestats/players/rushing/' + this.get('game_id') + '/' + this.get('id'),
					dataType: "JSON",
					success: function(response) {
						model.set(response);
					}
				});
			}
		},
		getPlayersReceiving: function(){
			var model = this;
			if (!this.get('player_receiving')) {
				$.ajax({
					url: app.options.get('api') + 'gamestats/players/receiving/' + this.get('game_id') + '/' + this.get('id'),
					dataType: "JSON",
					success: function(response) {
						model.set(response);
					}
				});
			}
		},
		getPlayersDefense: function(){
			var model = this;
			if (!this.get('player_defense')) {
				$.ajax({
					url: app.options.get('api') + 'gamestats/players/defense/' + this.get('game_id') + '/' + this.get('id'),
					dataType: "JSON",
					success: function(response) {
						model.set(response);
					}
				});
			}
		},
		getPlayersKicking: function(){
			var model = this;
			if (!this.get('player_kicking')) {
				$.ajax({
					url: app.options.get('api') + 'gamestats/players/kicking/' + this.get('game_id') + '/' + this.get('id'),
					dataType: "JSON",
					success: function(response) {
						model.set(response);
					}
				});
			}
		},
		getPlayersPunting: function(){
			var model = this;
			if (!this.get('player_punting')) {
				$.ajax({
					url: app.options.get('api') + 'gamestats/players/punting/' + this.get('game_id') + '/' + this.get('id'),
					dataType: "JSON",
					success: function(response) {
						model.set(response);
					}
				});
			}
		},
	});

	app.models.unfavoriteModel = Backbone.Model.extend({
		idAttribute: "id"
	});

	app.models.adTeamModel = Backbone.Model.extend({
		url: function(){
			return app.options.get('api') + 'advertisements-team/' + this.get('home_id') + '/' + this.get('visitor_id') + '/' + this.get('week');
		},
		initialize: function(){
			this.timeoutFn = {};
		},
		showAds: function(){
			var view = this;
			this.fetch({
				success: function(model){
					var newAd = model;
					view.timeoutFn = window.setTimeout(function(){
						newAd.showAds();
					}, parseInt(newAd.get('time_display'))*1000);
				}
			});
		},
		launchAd: function(){
			if (this.get('offer_text') !== '' && this.get('offer_text') !== null){
				var adModalView = new app.views.adModalView({offer_text: this.get('offer_text').replace(/\\/gi, "")});
			}
			else{
				if (this.get('link_to') && this.get('link_to') !== "") {
					var ref = window.open(this.get('link_to'), '_system', 'location=yes');
				} else {
					console.log('No link_to attribute');
				}
			}
		},
		killSwitch: function(){
			window.clearTimeout(this.timeoutFn);
		}
	});

	app.models.adGeneralModel = Backbone.Model.extend({
		url: function(){
			return app.options.get('api') + 'advertisements-general/0';
		},
		initialize: function(){
			this.timeoutFn = {};
		},
		showAds: function(){
			var view = this;
			this.fetch({
				success: function(model){
					var newAd = model;
					view.timeoutFn = window.setTimeout(function(){
						newAd.showAds();
					}, parseInt(newAd.get('time_display'))*1000);
				}
			});
		},
		launchAd: function(){
			if (this.get('offer_text') !== '' && this.get('offer_text') !== null){
				var adModalView = new app.views.adModalView({offer_text: this.get('offer_text').replace(/\\/gi, "")});
			} else {
				if (this.get('link_to') && this.get('link_to') !== "") {
					var ref = window.open(this.get('link_to'), '_system', 'location=yes');
				} else {
					console.log('No link_to attribute');
				}
			}
		},
		killSwitch: function(){
			window.clearTimeout(this.timeoutFn);
		}
	});

	app.models.teamScheduleModel = Backbone.Model.extend({
		url: function(){
			return app.options.get('api') + 'games-by-school-sched/' + this.get('teams_id') + '/' + this.get('seasons_id');
		},
		defaults: {
			"loaded":	false
		},
		getTeamName: function(teams_id){
			return $.ajax({
				url: app.options.get('api') + 'teams/' + teams_id,
				dataType: "json"
			});
		}
	});

})();

;

app.collections = app.collections || {};

(function () {
    'use strict';

    app.collections.gameCollection = Backbone.Collection.extend({
		url: function(){
			return app.options.get('api') + 'games/1000/0';
		},
    	maxWeek: function(){
//    		return _.max(_.map(_.unique(_.pluck(this.models, 'week')), function(week){return parseInt(week);}));
    		return	_.max(_.map(this.models, function(game){return parseInt(game.get('week'));}));
    	},
    	parse: function(response){
    		return response.games;
    	}
    });

	app.collections.seasonCollection = Backbone.Collection.extend({
		url: function(){
			return app.options.get('api') + 'seasons';
		},
		parse: function(response){
			var seasons = response.seasons;
			_.each(seasons, function(s) {
				// Parse week values
				s.weeks = [];
				var date = moment(s.starts_on);
				var n = 1;
				while (n < (app.collections.games.maxWeek() + 1)) {
					s.weeks.push({
						"week":		n,
						"start":	date.format('MM/DD/YY')
					});
					date.add('days', 7);
					n++;
				}

				s.id = parseInt(s.id);
				if (s.active === "0") {
					s.active = false;
				} else {
					s.active = true;
				}
			});
			return seasons;
		},
		getActiveSeason: function(){
			return _.find(this.models, function(m){return m.get('active') === true;});
		}
	});

	app.collections.schoolCollection = Backbone.Collection.extend({
		url: function(){
			return app.options.get('api') + 'teams/1000/0';
		},
		parse: function(response){
			var teams = response.teams;
			return teams;
		}
	});

	app.collections.conferenceCollection = Backbone.Collection.extend({
		url: function(){
			return app.options.get('api') + 'conferences/1000/0';
		},
		parse: function(response){
			var conferences = response.conferences;
			_.each(conferences, function(t) {
				t.id = parseInt(t.id);
			});
			return conferences;
		}
	});

	app.collections.conferenceGameCollection = Backbone.Collection.extend({
		url: function(){
			return app.options.get('api') + 'games-by-conference-all/' + app.collections.seasons.getActiveSeason().get('id') + '/' + app.options.get('currentWeek');
		},
		parse: function(response){
			var data = [];
			_.each(response.games_by_conference, function(value, key) {
				data.push({
					"name":		key,
					"games":	value
				});
			});

			return data;
		}
	});

	app.collections.favoriteCollection = Backbone.Collection.extend({
		url: function(){
			return app.options.get('api') + 'games-by-favorites/' + app.user.get('id') + '/' + app.collections.seasons.getActiveSeason().get('id') + '/' + app.options.get('currentWeek') + '/1000/0';
		},
		parse: function(response){
			var games = response.games_by_favorites;
			// _.each(games, function(t) {
			// 	t.id = parseInt(t.id);
			// });
			return games;
		}
	});

	app.collections.favoriteTeamCollection = Backbone.Collection.extend({
		url: function(){
			return app.options.get('api') + 'usersfavorites/' + app.user.get('id');
		},
		parse: function(response){
			var games = response.users_favorites;
			// _.each(games, function(t) {
			// 	t.id = parseInt(t.id);
			// 	t.teams_id = parseInt(t.teams_id);
			// });
			return games;
		},
		search : function(term){
			if (term === "") {return this;}

			var pattern = new RegExp(term,"gi");
			return this.filter(function(data) {
				return pattern.test(data.get("team_name"));
			});
		}
	});

	app.collections.unfavoriteTeamCollection = Backbone.Collection.extend({
		model: app.models.unfavoriteModel,
		url: function(){
			//return app.options.get('api') + 'usersnonfavorites/' + app.user.get('id')+ '/1000/0';
			return app.options.get('api') + 'teams' + '/1000/0';
		},
		parse: function(response){
			// var games = response.users_nonfavorites;
			var games = response.teams;
			// _.each(games, function(t) {
			// 	// t.teams_id = parseInt(t.teams_id);
			// 	t.id = parseInt(t.teams_id);
			// });

			return games;
		},
		search : function(term){
			if (term === "") {return this;}

			var pattern = new RegExp(term,"gi");
			return this.filter(function(data) {
				return pattern.test(data.get("team_name"));
			});
		}
	});

})();

;

app.router = app.router || {};

(function () {
    'use strict';

	app.router.Route = Backbone.Router.extend({

		routes: {
			"":				        				 "login",
			"!":			        				 "login",
			"!/":			        				 "login",
			"!/register":	        				 "register",
			"!/forgot":		        				 "forgot",
			"!/process":	        				 "process",
			"!/scores":		        				 "scores",
			"!/game/:id":	        				 "game",
			"!/favorites":	        				 "favorites",
			"!/account":	        				 "account",
			"!/donate":		        				 "donate",
			"!/teams-schedules": 				     "teamsSchedules",
			"!/team-schedule/:teams_id/:seasons_id": "teamSchedule"
		},

		showView: function(view, render) {
			if (this.currentView) { this.currentView.close(); }
			this.currentView = view;
			if (render) {
				this.currentView.render();
			}
			return view;
		},

		stepBack: function(){
			window.history.back();
			/*if (app.router.previousRoute) {
				this.navigate(app.router.previousHash, {trigger: true});
			} else if (app.router.currentRoute === "game") {
				this.navigate("!/scores", {trigger: true});
			} else {
				this.navigate("!/", {trigger: true});
			}*/
		},

		resetRoute: function(route, query){

			console.log('Resetting route (' + route + ')');

			$('#container').empty().removeClass().addClass(route);

			app.router.previousHash = app.router.currentHash;
			app.router.currentHash = window.location.hash || '!/';
			app.router.previousRoute = app.router.currentRoute;
			app.router.currentRoute = route;
			app.router.previousQuery = app.router.currentQuery;
			app.router.currentQuery = query || '';

			if (!app.views.menu) {
				app.views.menu = new app.views.menuView();
			}

			app.views.menu.render();

			// Scroll to top.
			$('html, body').animate({
				scrollTop: 0
			}, 0);

			return true;
		},

		login: function(){
			var router = this;
			var reset = router.resetRoute('login');
			if (reset) {
				if (app.user.isActive()) {
					console.log('User is logged in.');
					app.router.route.navigate('!/scores', {trigger: true});
				} else {
					var view = new app.views.loginView();
					router.showView(view, true);
				}
			}
		},

		register: function(){
			var router = this;
			var reset = router.resetRoute('register');
			if (reset) {
				var view = new app.views.registerView();
				router.showView(view, true);
			}
		},

		forgot: function(){
			var router = this;
			var reset = router.resetRoute('forgot');
			if (reset) {
				var view = new app.views.forgotView();
				router.showView(view, true);
			}
		},

		process: function(){
			var router = this;
			var reset = router.resetRoute('process');
			if (reset) {
				var view = new app.views.processView();
				router.showView(view, true);
			}
		},

		scores: function(){
			var router = this;
			var reset = router.resetRoute('scores');
			if (reset) {
				var view = new app.views.scoresView();
				router.showView(view, true);
			}
		},

		game: function(query) {
			var router = this;
			var reset = router.resetRoute('game');
			if (reset) {
				var gameModel = new app.models.gameModel({
					"id": query
				});
				var view = new app.views.gameView({
					"model": gameModel
				});
				router.showView(view, true);
			}
		},

		favorites: function(){
			var router = this;
			var reset = router.resetRoute('favorites');
			if (reset) {
				var view = new app.views.favoritesView();
				router.showView(view, true);
			}
		},

		account: function(){
			var router = this;
			var reset = router.resetRoute('account');
			if (reset) {
				var view = new app.views.accountView();
				router.showView(view, true);
			}
		},

		donate: function(){
			var router = this;
			var reset = router.resetRoute('donate');
			if (reset) {
				var view = new app.views.donateView();
				router.showView(view, true);
			}
		},

		teamsSchedules: function(){
			var router = this;
			var reset = router.resetRoute('teams-schedules');
			if (reset) {
				var view = new app.views.teamsSchedulesView();
				router.showView(view, true);
			}
		},

		teamSchedule: function(teams_id, seasons_id){
			var router = this;
			var reset = router.resetRoute('team-schedule');
			if (reset) {
				var teamScheduleModel = new app.models.teamScheduleModel({
					"teams_id": teams_id,
					"seasons_id": seasons_id
				});
				var view = new app.views.teamScheduleView({
					"model": teamScheduleModel
				});
				router.showView(view, true);
			}
		}

	});

})();

;

this["app"] = this["app"] || {};
this["app"]["templates"] = this["app"]["templates"] || {};

this["app"]["templates"]["account"] = function(obj) {obj || (obj = {});var __t, __p = '', __e = _.escape;with (obj) {__p += '<div id="navbar" class="cf">\n\t<div id="burger"></div>\n\t<h1>Account</h1>\n</div>\n\n<p>This screen will be available in a future build.</p>\n<p>Currently logged in as ' +((__t = ( app.user.get('fname') + ' ' + app.user.get('lname') )) == null ? '' : __t) +'.</p>\n<p>User ID: ' +((__t = ( app.user.get('id') )) == null ? '' : __t) +'</p>';}return __p};

this["app"]["templates"]["ad-modal"] = function(obj) {obj || (obj = {});var __t, __p = '', __e = _.escape;with (obj) {__p += '<div class="modal-backdrop"></div>\n<div class="modal fade in">\n\t<div class="modal-dialog">\n\t\t<div class="modal-content">\n\t\t\t<div class="modal-header clearfix">\n\t\t\t\t<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>\n\t\t\t</div>\n\t\t\t<div class="modal-body center">\n\t\t\t\t' +((__t = ( this.options.offer_text )) == null ? '' : __t) +'\n\t\t\t</div>\n\t\t</div>\n\t</div>\n</div>';}return __p};

this["app"]["templates"]["ad"] = function(obj) {obj || (obj = {});var __t, __p = '', __e = _.escape;with (obj) {__p += '<img src="' +((__t = ( this.model.get('image_path') )) == null ? '' : __t) +'" style="" id="ad">';}return __p};

this["app"]["templates"]["conferences-by-week"] = function(obj) {obj || (obj = {});var __t, __p = '', __e = _.escape, __j = Array.prototype.join;function print() { __p += __j.call(arguments, '') }with (obj) { if (this.collection && !this.collection.isFetching) { ;__p += '\n\t'; if (!_.isEmpty(this.collection.models)) { ;__p += '\n\t\t'; _.each(this.collection.models, function(model){ ;__p += '\n\t\t\t<div class="score-header clearfix">\n\t\t\t\t<h1>' +((__t = ( model.get('name') )) == null ? '' : __t) +'</h1>\n\t\t\t\t'; if (!_.isEmpty(model.get('games'))) { ;__p += '\n\t\t\t\t\t<h2>Quarter</h2>\n\t\t\t\t\t<h2>Score</h2>\n\t\t\t\t'; } ;__p += '\n\t\t\t</div>\n\t\t\t'; if (_.isEmpty(model.get('games'))) { ;__p += '\n\t\t\t\t<p class="no-game">No games this week.</p>\n\t\t\t'; } else { ;__p += '\n\t\t\t\t'; _.each(model.get('games'), function(game) { ;__p += '\n\t\t\t\t\t<div class="game clearfix" data-id="' +((__t = ( game.game_id )) == null ? '' : __t) +'">\n\t\t\t\t\t\t<div class="teams">\n\t\t\t\t\t\t\t<ul>\n\t\t\t\t\t\t\t\t<li class="home" style="background-image: url(' +((__t = ( game.home_logo || 'img/helmet.png' )) == null ? '' : __t) +')">' +((__t = ( game.hometeam )) == null ? '' : __t) +'</li>\n\t\t\t\t\t\t\t\t<li class="away" style="background-image: url(' +((__t = ( game.visitor_logo || 'img/helmet.png' )) == null ? '' : __t) +')">' +((__t = ( game.visitorteam )) == null ? '' : __t) +'</li>\n\t\t\t\t\t\t\t</ul>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t\t<div class="quarter">\n\t\t\t\t\t\t\t'; console.log('Conf. Game: ', game) ;__p += '\n\t\t\t\t\t\t\t'; if (game.overtime == "1") { ;__p += '\n\t\t\t\t\t\t\t\t<h1>OT</h1>\n\t\t\t\t\t\t\t\t<p class="timeleft">'; if (game.time_remaining) { ;__p +=((__t = ( game.time_remaining )) == null ? '' : __t) +' left'; } ;__p += '</p>\n\t\t\t\t\t\t\t'; } else if ( (game.game_in_progress == "0" || game.game_in_progress == null) && game.active_quarter == "4" && game.time_remaining == "00:00"){ ;__p += '\n\t\t\t\t\t\t\t\t<h2>FINAL</h2>\n\t\t\t\t\t\t\t'; } else { ;__p += '\n\t\t\t\t\t\t\t\t<h1>'; if (game.active_quarter) { ;__p += 'Q' +((__t = ( game.active_quarter )) == null ? '' : __t); } else { ;__p += '--'; } ;__p += '</h1>\n\t\t\t\t\t\t\t\t<p class="timeleft">'; if (game.time_remaining) { ;__p +=((__t = ( game.time_remaining )) == null ? '' : __t) +' left'; } ;__p += '</p>\n\t\t\t\t\t\t\t'; } ;__p += '\n\t\t\t\t\t\t</div>\n\t\t\t\t\t\t<div class="scores">\n\t\t\t\t\t\t\t<ul>\n\t\t\t\t\t\t\t\t<li>' +((__t = ( game.home_score || '--' )) == null ? '' : __t) +'</li>\n\t\t\t\t\t\t\t\t<li>' +((__t = ( game.visitor_score || '--' )) == null ? '' : __t) +'</li>\n\t\t\t\t\t\t\t</ul>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</div>\n\n\t\t\t\t'; }) ;__p += '\n\t\t\t'; } ;__p += '\n\t\t'; }) ;__p += '\n\t'; } ;__p += '\n'; } else { ;__p += '\n\t<div class="score-header clearfix">\n\t\t<h1>Conferences</h1>\n\t</div>\n\t<div class="loading">\n\t\t<div class="spinner">\n\t\t\t<div class="rect1"></div>\n\t\t\t<div class="rect2"></div>\n\t\t\t<div class="rect3"></div>\n\t\t\t<div class="rect4"></div>\n\t\t\t<div class="rect5"></div>\n\t\t</div>\n\t</div>\n'; } ;__p += '\n';}return __p};

this["app"]["templates"]["donate"] = function(obj) {obj || (obj = {});var __t, __p = '', __e = _.escape;with (obj) {__p += '<div id="navbar" class="cf">\n\t<div id="burger"></div>\n\t<h1>Donate</h1>\n</div>\n\n<p>This screen will be available in a future build.</p>';}return __p};

this["app"]["templates"]["favorites-by-week"] = function(obj) {obj || (obj = {});var __t, __p = '', __e = _.escape, __j = Array.prototype.join;function print() { __p += __j.call(arguments, '') }with (obj) {__p += '<div class="score-header clearfix">\n\t<h1>Favorites</h1>\n\t'; if (!_.isEmpty(this.collection.models)) { ;__p += '\n\t\t<h2>Quarter</h2>\n\t\t<h2>Score</h2>\n\t'; } ;__p += '\n</div>\n'; if (this.collection && !this.collection.isFetching) { ;__p += '\n\t'; if (_.isEmpty(this.collection.models)) { ;__p += '\n\t\t<p class="no-game">No games this week.</p>\n\t'; } else { ;__p += '\n\t\t'; _.each(this.collection.models, function(game) { ;__p += '\n\t\t\t<div class="game clearfix" data-id="' +((__t = ( game.get('id') )) == null ? '' : __t) +'">\n\t\t\t\t<div class="teams">\n\t\t\t\t\t<ul>\n\t\t\t\t\t\t<li class="home" style="background-image: url(' +((__t = ( game.get('home_logo') || 'img/helmet.png' )) == null ? '' : __t) +')">' +((__t = ( game.get('hometeam') )) == null ? '' : __t) +'</li>\n\t\t\t\t\t\t<li class="away" style="background-image: url(' +((__t = ( game.get('visitor_logo') || 'img/helmet.png' )) == null ? '' : __t) +')">' +((__t = ( game.get('visitorteam') )) == null ? '' : __t) +'</li>\n\t\t\t\t\t</ul>\n\t\t\t\t</div>\n\t\t\t\t<div class="quarter">\n\t\t\t\t\t'; if (game.get('overtime') == "1") { ;__p += '\n\t\t\t\t\t\t<h1>OT</h1>\n\t\t\t\t\t\t<p class="timeleft">'; if (game.get('time_remaining')) { ;__p +=((__t = ( game.get('time_remaining') )) == null ? '' : __t) +' left'; } ;__p += '</p>\n\t\t\t\t\t'; } else if ((game.get('game_in_progress') == "0" || game.get('game_in_progress') == null) && game.get('active_quarter') == "4" && game.get('time_remaining') == "00:00"){ ;__p += '\n\t\t\t\t\t\t<h2>FINAL</h2>\n\t\t\t\t\t'; } else { ;__p += '\n\t\t\t\t\t\t<h1>'; if (game.get('active_quarter')) { ;__p += 'Q' +((__t = ( game.get('active_quarter') )) == null ? '' : __t); } else { ;__p += '--'; } ;__p += '</h1>\n\t\t\t\t\t\t<p class="timeleft">'; if (game.get('time_remaining')) { ;__p +=((__t = ( game.get('time_remaining') )) == null ? '' : __t) +' left'; } ;__p += '</p>\n\t\t\t\t\t'; } ;__p += '\n\t\t\t\t</div>\n\t\t\t\t<div class="scores">\n\t\t\t\t\t<ul>\n\t\t\t\t\t\t<li>' +((__t = ( game.get('home_score') || '--' )) == null ? '' : __t) +'</li>\n\t\t\t\t\t\t<li>' +((__t = ( game.get('visitor_score') || '--' )) == null ? '' : __t) +'</li>\n\t\t\t\t\t</ul>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t'; }) ;__p += '\n\t'; } ;__p += '\n'; } else if (this.collection && this.collection.isFetching) { ;__p += '\n\t<div class="loading">\n\t\t<div class="spinner">\n\t\t\t<div class="rect1"></div>\n\t\t\t<div class="rect2"></div>\n\t\t\t<div class="rect3"></div>\n\t\t\t<div class="rect4"></div>\n\t\t\t<div class="rect5"></div>\n\t\t</div>\n\t</div>\n'; } ;__p += '\n';}return __p};

this["app"]["templates"]["favorites-list"] = function(obj) {obj || (obj = {});var __t, __p = '', __e = _.escape, __j = Array.prototype.join;function print() { __p += __j.call(arguments, '') }with (obj) { if (this.unfavorites && !this.unfavorites.isFetching) { ;__p += '\n\t'; var displayFavData = this.favorites.models; ;__p += '\n\t'; var displayUnFavData = this.unfavorites.models; ;__p += '\n\t'; if (this.search) { ;__p += '\n\t\t'; displayFavData = this.favorites.search(this.search); ;__p += '\n\t\t'; displayUnFavData = this.unfavorites.search(this.search); ;__p += '\n\t'; } ;__p += '\n\t'; _.each(_.sortBy(displayFavData, function(model){return model.get('team_name')}), function(model){ ;__p += '\n\t\t<div class="team favorite" data-id="' +((__t = ( model.get('id') )) == null ? '' : __t) +'" data-teams-id="' +((__t = ( model.get('teams_id') )) == null ? '' : __t) +'">\n\t\t\t<span class="ellipsis">' +((__t = ( model.get('team_name') )) == null ? '' : __t) +'</span>\n\t\t</div>\n\t'; }) ;__p += '\n\t'; _.each(_.sortBy(displayUnFavData, function(model){return model.get('team_name')}), function(model){ ;__p += '\n\t\t<div class="team unfavorite" data-teams-id="' +((__t = ( model.get('id') )) == null ? '' : __t) +'">\n\t\t\t<span class="ellipsis">' +((__t = ( model.get('team_name') )) == null ? '' : __t) +'</span>\n\t\t</div>\n\t'; }) ;__p += '\n'; } else { ;__p += '\n\t<div class="loading">\n\t\t<div class="spinner">\n\t\t\t<div class="rect1"></div>\n\t\t\t<div class="rect2"></div>\n\t\t\t<div class="rect3"></div>\n\t\t\t<div class="rect4"></div>\n\t\t\t<div class="rect5"></div>\n\t\t</div>\n\t</div>\n'; } ;__p += '\n';}return __p};

this["app"]["templates"]["favorites"] = function(obj) {obj || (obj = {});var __t, __p = '', __e = _.escape;with (obj) {__p += '<div id="navbar" class="cf">\n\t<div id="burger"></div>\n\t<h1>My Favorites</h1>\n</div>\n<div class="searchbox">\n\t<div class="search clearfix">\n\t\t<input type="text" id="team-search" placeholder="Search Teams" />\n\t\t<button id="team-search-btn"></button>\n\t</div>\n</div>\n<div class="favorites-list scroller"></div>';}return __p};

this["app"]["templates"]["forgot"] = function(obj) {obj || (obj = {});var __t, __p = '', __e = _.escape;with (obj) {__p += '<div class="inner">\n\t<div class="back"></div>\n\t<div class="register-header"></div>\n\t<form id="signin-form">\n\t\t<div class="form-group email">\n\t\t\t<input type="email" name="email" id="email" placeholder="email" />\n\t\t</div>\n\t\t<div class="error hidden text-center">\n\t\t\t<p>Please provide valid input.</p>\n\t\t</div>\n\t\t<div class="text-center">\n\t\t\t<button class="button full" id="reset">RESET PASSWORD</button>\n\t\t</div>\n\t</form>\n</div>';}return __p};

this["app"]["templates"]["game-detail"] = function(obj) {obj || (obj = {});var __t, __p = '', __e = _.escape, __j = Array.prototype.join;function print() { __p += __j.call(arguments, '') }with (obj) { var view = this; ;__p += '\n\n<div class="adv_container"></div>\n<div class="ad-modal-view-container"></div>\n\n'; if (!this.model.get('loaded')) { ;__p += '\n\n\t<div id="navbar" class="cf">\n\t\t<div id="burger"></div>\n\t\t<div id="back"></div>\n\t\t<h1>Loading...</h1>\n\t</div>\n\t<div class="loading">\n\t\t<div class="spinner">\n\t\t\t<div class="rect1"></div>\n\t\t\t<div class="rect2"></div>\n\t\t\t<div class="rect3"></div>\n\t\t\t<div class="rect4"></div>\n\t\t\t<div class="rect5"></div>\n\t\t</div>\n\t</div>\n\n'; } else { ;__p += '\n\n\t<div id="navbar" class="cf">\n\t\t<div id="burger"></div>\n\t\t<div id="back"></div>\n\t\t<span id="reload"></span>\n\t\t<!-- <h1 class="ellipsis" style="padding: 0 23px 0 64px;">'; if (this.model.get('home') && this.model.get('visitor')) { ;__p +=((__t = ( this.model.get('home')['school_abbrv'] )) == null ? '' : __t) +' vs ' +((__t = ( this.model.get('visitor')['school_abbrv'] )) == null ? '' : __t); } else { ;__p += 'Loading...'; } ;__p += '</h1> -->\n\t\t<h1>HSGameTime!</h1>\n\t</div>\n\t<div class="scoreboard clearfix">\n\t\t<div class="scoreboard-inner">\n\t\t\t<div class="helmet home" data-teams-id="'; if (this.model.get('home')) { ;__p +=((__t = ( this.model.get('home')['id'] )) == null ? '' : __t); } ;__p += '" style="background-image:url(' +((__t = ( this.model.get('hometeam_helmet_img') || "../img/white_glow.png" )) == null ? '' : __t) +')" >\n\t\t\t\t<p class="mascot-name"><small>' +((__t = ( this.model.get('hometeam_mascot') )) == null ? '' : __t) +'</small></p>\n\t\t\t</div>\n\n\t\t\t<div class="score home">\n\t\t\t\t'; if(this.model.get('home') && this.model.get('visitor')) { ; if(this.model.get('home')['id'] == this.model.get('possession')){ ;__p += '<h1 class="possession"></h1>\n\t                    '; } else { ;__p += '<h1></h1>'; } ;__p += '\n\t\t\t\t'; } else { ;__p += '\n\t\t\t\t\t<h1></h1>\n\t\t\t\t'; } ;__p += '\n\n\t            <p>' +((__t = ( this.model.get('home_score') )) == null ? '' : __t) +'</p>\n\t\t\t</div>\n\t\t\t<div class="details">\n\t\t\t\t'; if (this.model.get('overtime') === "1") { ;__p += '\n\t\t\t\t\t<h1>OT</h1>\n\t\t\t\t\t<p class="timeleft">'; if (this.model.get('time_remaining')) { ;__p +=((__t = ( this.model.get('time_remaining') )) == null ? '' : __t) +' left'; } ;__p += '</p>\n\t\t\t\t'; } else if ( (this.model.get('game_in_progress') == "0" || !this.model.get('game_in_progress')) && this.model.get('active_quarter') == "4" && this.model.get('time_remaining') == "00:00"){ ;__p += '\n\t\t\t\t\t<h2>FINAL</h2>\n\t\t\t\t'; } else { ;__p += '\n\t\t\t\t\t<h1>'; if (this.model.get('active_quarter')) { ;__p += 'Q' +((__t = ( this.model.get('active_quarter') )) == null ? '' : __t); } else { ;__p += '--'; } ;__p += '</h1>\n\t\t\t\t\t<p class="timeleft">'; if (this.model.get('time_remaining')) { ;__p +=((__t = ( this.model.get('time_remaining') )) == null ? '' : __t) +' left'; } ;__p += '</p>\n\t\t\t\t'; } ;__p += '\n\t\t\t</div>\n\t\t\t<div class="score visitor">\n\t\t\t\t'; if(this.model.get('home') && this.model.get('visitor')) { ;__p += '\n\t\t\t\t\t'; if(this.model.get('visitor')['id'] == this.model.get('possession')){ ;__p += '\n\t\t\t\t\t\t<h1 class="possession"></h1>\n\t\t\t\t\t'; } else { ;__p += '\n\t\t\t\t\t\t<h1></h1>\n\t\t\t\t\t'; } ;__p += '\n\t\t\t\t'; } else { ;__p += '\n\t\t\t\t\t<h1></h1>\n\t\t\t\t'; } ;__p += '\n\t\t\t\t<p>' +((__t = ( this.model.get('visitor_score') )) == null ? '' : __t) +'</p>\n\t\t\t</div>\n\t\t\t<div class="helmet visitor" data-teams-id="'; if (this.model.get('visitor')) { ;__p +=((__t = ( this.model.get('visitor')['id'] )) == null ? '' : __t); } ;__p += '" style="background-image:url(' +((__t = ( this.model.get('visitorteam_helmet_img') || "../img/red_glow.png" )) == null ? '' : __t) +')">\n\t\t\t\t<p class="mascot-name"><small>' +((__t = ( this.model.get('visitorteam_mascot') )) == null ? '' : __t) +'</small></p>\n\t\t\t</div>\n\t\t</div>\n\t</div>\n\n\t<!-- <div class="tabs clearfix">\n\t\t<div class="tab game active" data-target="game">Game</div>\n\t\t<div class="tab stats" data-target="stats">Stats</div>\n\t\t<div class="tab twitter" data-target="twitter"></div>\n\t\t<div class="tab facebook" data-target="facebook"></div>\n\t</div> -->\n\t<div class="tab-content">\n\t\t<div class="game active">\n\t\t\t<div class="inner">\n\t\t\t\t<table class="game-tab-table" border="0" cellpadding="0" cellspacing="0">\n\t\t\t\t\t<tr>\n\t\t\t\t\t\t<td valign="middle" data-target="plays-game" class="active">Plays</td>\n\t\t\t\t\t\t<td valign="middle" data-target="venue-game">Venue</td>\n\t\t\t\t\t</tr>\n\t\t\t\t</table>\n\t\t\t</div>\n\t\t\t<div class="outer">\n\t\t\t\t<div class="game-tab plays-game active">\n\t\t\t\t\t'; if (this.model.get('game_comments')) { ;__p += ' '; if(this.model.get('game_comments').length > 0) { ;__p += '\n\t\t\t\t\t'; _.each(this.model.get('game_comments'), function(game_comment) { ;__p += '\n\t\t\t\t\t<div class="game-comment">\n\t\t\t\t\t\t<p class="text-left">' +((__t = ( game_comment.comment )) == null ? '' : __t) +'</p>\n\t\t\t\t\t\t<p class="timeleft text-right">Q' +((__t = ( game_comment.quarter )) == null ? '' : __t) +' ' +((__t = ( game_comment.time_remaining )) == null ? '' : __t) +'</p>\n\t\t\t\t\t</div>\n\t\t\t\t\t'; }) ;__p += ' '; } else { ;__p += ' <div class="game-comment"> <p class="center">No Comments</p> </div> '; } ;__p += '\n\t\t\t\t\t'; } else { ;__p += ' <div class="game-comment"> <p class="center">Loading ...</p> </div> '; } ;__p += '\n\t\t\t\t</div>\n\t\t\t\t<div class="game-tab venue-game">\n\t\t\t\t\t'; if (this.model.get('venue')) { ;__p += '\n\t\t\t\t\t<div class="row clearfix">\n\t\t\t\t\t\t<div class="photo">\n\t\t\t\t\t\t\t<img src="' +((__t = ( this.model.get('venue')['image_path'] )) == null ? '' : __t) +'" onError="this.onerror=null;this.src=\'img/venue-placeholder.png\';">\n\t\t\t\t\t\t</div>\n\t\t\t\t\t\t<div class="address text-center">\n\t\t\t\t\t\t\t<p>\n\t\t\t\t\t\t\t\t<strong>' +((__t = ( this.model.get('venue')['name'] )) == null ? '' : __t) +'</strong><br />\n\t\t\t\t\t\t\t\t' +((__t = ( this.model.get('venue')['address'] )) == null ? '' : __t) +'<br />\n\t\t\t\t\t\t\t\t' +((__t = ( this.model.get('venue')['city'] )) == null ? '' : __t) +', ' +((__t = ( this.model.get('venue')['state'] )) == null ? '' : __t) +' ' +((__t = ( this.model.get('venue')['zip'] )) == null ? '' : __t) +'\n\t\t\t\t\t\t\t</p>\n\t\t\t\t\t\t\t'; var urlString = "https://maps.google.com?saddr=&daddr=" + encodeURIComponent(this.model.get('venue')['address']).replace(/%20/g,'+') + '+' + encodeURIComponent(this.model.get('venue')['city']).replace(/%20/g,'+') + '+' + encodeURIComponent(this.model.get('venue')['state']).replace(/%20/g,'+') + '+' + encodeURIComponent(this.model.get('venue')['zip']).replace(/%20/g,'+'); ;__p += '\n\t\t\t\t\t\t\t<p><a data-url="' +((__t = ( urlString )) == null ? '' : __t) +'">Get Directions</a></p>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</div>\n\t\t\t\t\t'; } ;__p += '\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</div>\n\t\t<!-- <div class="stats">\n\t\t\t<div class="inner"><p class="text-center">Coming Soon</p></div>\n\n\t\t\t<div class="inner">\n\t\t\t\t<table class="stat-tab-table" border="0" cellpadding="0" cellspacing="0">\n\t\t\t\t\t<tr>\n\t\t\t\t\t\t<td valign="middle" data-target="team-stats" class="active">Team vs. Team</td>\n\t\t\t\t\t\t<td valign="middle" data-target="home-stats">'; if (this.model.get('home')) { ;__p +=((__t = ( this.model.get('home')['school_abbrv'] )) == null ? '' : __t); } else { ;__p += 'Home'; } ;__p += ' Players</td>\n\t\t\t\t\t\t<td valign="middle" data-target="visitor-stats">'; if (this.model.get('visitor')) { ;__p +=((__t = ( this.model.get('visitor')['school_abbrv'] )) == null ? '' : __t); } else { ;__p += 'Visitor'; } ;__p += ' Players</td>\n\t\t\t\t\t</tr>\n\t\t\t\t</table>\n\t\t\t</div>\n\t\t\t<div class="outer">\n\t\t\t\t<div class="stat-tab team-stats active"></div>\n\t\t\t\t<div class="stat-tab home-stats"></div>\n\t\t\t\t<div class="stat-tab visitor-stats"></div>\n\t\t\t</div>\n\n\t\t</div>\n\t\t<div class="twitter">\n\t\t\t<div class="inner"><p class="text-center">Coming Soon</p></div>\n\t\t</div>\n\t\t<div class="facebook">\n\t\t\t<div class="inner"><p class="text-center">Coming Soon</p></div>\n\t\t</div> -->\n\t</div>\n'; } ;}return __p};

this["app"]["templates"]["game-of-week"] = function(obj) {obj || (obj = {});var __t, __p = '', __e = _.escape, __j = Array.prototype.join;function print() { __p += __j.call(arguments, '') }with (obj) {__p += '<div class="score-header clearfix">\n\t<h1>Game of Week</h1>\n\t'; if (this.model && this.model.get('id')) { ;__p += '\n\t\t<h2>Quarter</h2>\n\t\t<h2>Score</h2>\n\t'; } ;__p += '\n</div>\n'; if (this.model && this.model.get('false')) { ;__p += '\n\t<p class="no-game">No game this week.</p>\n'; } else if (this.model && this.model.get('id')) { ;__p += '\n\t<div class="game clearfix" data-id="' +((__t = ( this.model.get('id') )) == null ? '' : __t) +'">\n\t\t<div class="teams">\n\t\t\t<ul>\n\t\t\t\t<li class="home" style="background-image: url(' +((__t = ( this.model.get('home_logo') || 'img/helmet.png' )) == null ? '' : __t) +')">' +((__t = ( this.model.get('hometeam') )) == null ? '' : __t) +'</li>\n\t\t\t\t<li class="away" style="background-image: url(' +((__t = ( this.model.get('visitor_logo') || 'img/helmet.png' )) == null ? '' : __t) +')">' +((__t = ( this.model.get('visitorteam') )) == null ? '' : __t) +'</li>\n\t\t\t</ul>\n\t\t</div>\n\t\t<div class="quarter">\n\t\t\t'; if (this.model.get('overtime') == "1") { ;__p += '\n\t\t\t\t<h1>OT</h1>\n\t\t\t\t<p class="timeleft">'; if (this.model.get('time_remaining')) { ;__p +=((__t = ( this.model.get('time_remaining') )) == null ? '' : __t) +' left'; } ;__p += '</p>\n\t\t\t'; } else if ( (this.model.get('game_in_progress') == "0" || this.model.get('game_in_progress') == null) && this.model.get('active_quarter') == "4" && this.model.get('time_remaining') == "00:00"){ ;__p += '\n\t\t\t\t<h2>FINAL</h2>\n\t\t\t'; } else { ;__p += '\n\t\t\t\t<h1>'; if (this.model.get('active_quarter')) { ;__p += 'Q' +((__t = ( this.model.get('active_quarter') )) == null ? '' : __t); } else { ;__p += '--'; } ;__p += '</h1>\n\t\t\t\t<p class="timeleft">'; if (this.model.get('time_remaining')) { ;__p +=((__t = ( this.model.get('time_remaining') )) == null ? '' : __t) +' left'; } ;__p += '</p>\n\t\t\t'; } ;__p += '\n\t\t</div>\n\t\t<div class="scores">\n\t\t\t<ul>\n\t\t\t\t<li>' +((__t = ( this.model.get('home_score') || '--' )) == null ? '' : __t) +'</li>\n\t\t\t\t<li>' +((__t = ( this.model.get('visitor_score') || '--' )) == null ? '' : __t) +'</li>\n\t\t\t</ul>\n\t\t</div>\n\t</div>\n'; } else { ;__p += '\n\t<div class="loading">\n\t\t<div class="spinner">\n\t\t\t<div class="rect1"></div>\n\t\t\t<div class="rect2"></div>\n\t\t\t<div class="rect3"></div>\n\t\t\t<div class="rect4"></div>\n\t\t\t<div class="rect5"></div>\n\t\t</div>\n\t</div>\n'; } ;__p += '\n';}return __p};

this["app"]["templates"]["login"] = function(obj) {obj || (obj = {});var __t, __p = '', __e = _.escape, __j = Array.prototype.join;function print() { __p += __j.call(arguments, '') }with (obj) {__p += '<div class="inner">\n\t<div class="logo"></div>\n\t<div class="error hidden">\n\t\t<p>Login failed. Please try again.</p>\n\t</div>\n\t<div class="login-form">\n\t\t<form id="login-form">\n\t\t\t<div class="form-group email">\n\t\t\t\t<input type="email" name="email" placeholder="email" '; if (app.user.get('email')) { ;__p += 'value="' +((__t = ( app.user.get('email') )) == null ? '' : __t) +'"'; } ;__p += ' />\n\t\t\t</div>\n\t\t\t<div class="form-group password">\n\t\t\t\t<input type="password" name="pwd" placeholder="password" />\n\t\t\t</div>\n\t\t\t<button class="button full" id="signin">Sign In</button>\n\t\t\t<p class="actions">First-time User? <a href="#!/register">Register</a> | <a href="#!/forgot">Forgot Password?</a></p>\n\t\t</form>\n\t</div>\n\t<button class="social-button facebook" id="facebook">Sign in with Facebook</button>\n\t<!-- <button class="social-button twitter" id="twitter">Sign in with Twitter</button> -->\n</div>';}return __p};

this["app"]["templates"]["menu"] = function(obj) {obj || (obj = {});var __t, __p = '', __e = _.escape, __j = Array.prototype.join;function print() { __p += __j.call(arguments, '') }with (obj) {__p += '<ul class="nav">\n\t<li '; if (app.router.currentRoute == "scores") { ;__p += 'class="active"'; } ;__p += '><a href="#!/scores" class="scores">HSGT Scoreboard</a></li>\n\t<li '; if (app.router.currentRoute == "teams-schedules") { ;__p += 'class="active"'; } ;__p += '><a href="#!/teams-schedules" class="teams-schedules">Team Schedules</a></li>\n\t<li '; if (app.router.currentRoute == "favorites") { ;__p += 'class="active"'; } ;__p += '><a href="#!/favorites" class="favorites">My Favorites</a></li>\n\t<!-- <li '; if (app.router.currentRoute == "account") { ;__p += 'class="active"'; } ;__p += '><a href="#!/account" class="account">My Account</a></li> -->\n\t<!-- <li '; if (app.router.currentRoute == "donate") { ;__p += 'class="active"'; } ;__p += '><a href="#!/donate" class="donate">Donate to a School</a></li> -->\n\t<li><span class="logout">Log Out</span></li>\n</ul>';}return __p};

this["app"]["templates"]["player-stats"] = function(obj) {obj || (obj = {});var __t, __p = '', __e = _.escape, __j = Array.prototype.join;function print() { __p += __j.call(arguments, '') }with (obj) {__p += '<table class="player-stat-table" cellpadding="0" cellspacing="0" cellpadding="0">\n\t<tbody>\n\t\t<tr>\n\t\t\t<td>\n\t\t\t\t<table class="player-stat" cellpadding="0" cellspacing="0" cellpadding="0">\n\t\t\t\t\t<thead>\n\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t<th align="left" valign="middle">Passing</th>\n\t\t\t\t\t\t\t<th align="center" valign="middle">CMP</th>\n\t\t\t\t\t\t\t<th align="center" valign="middle">ATT</th>\n\t\t\t\t\t\t\t<th align="center" valign="middle">YDS</th>\n\t\t\t\t\t\t\t<th align="center" valign="middle">TD</th>\n\t\t\t\t\t\t</tr>\n\t\t\t\t\t</thead>\n\t\t\t\t\t<tbody>\n\t\t\t\t\t\t'; _.each(this.team.get('player_passing'), function(player) { ;__p += '\n\t\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t\t<td align="left" valign="middle">'; if (player.player_number) { ;__p += '#' +((__t = ( player.player_number )) == null ? '' : __t); } ;__p += ' ' +((__t = ( player.fullname )) == null ? '' : __t) +'</td>\n\t\t\t\t\t\t\t\t<td align="center" valign="middle">' +((__t = ( player.passing_cmp )) == null ? '' : __t) +'</td>\n\t\t\t\t\t\t\t\t<td align="center" valign="middle">' +((__t = ( player.passing_att )) == null ? '' : __t) +'</td>\n\t\t\t\t\t\t\t\t<td align="center" valign="middle">' +((__t = ( player.passing_yds )) == null ? '' : __t) +'</td>\n\t\t\t\t\t\t\t\t<td align="center" valign="middle">' +((__t = ( player.passing_td )) == null ? '' : __t) +'</td>\n\t\t\t\t\t\t\t</tr>\n\t\t\t\t\t\t'; }) ;__p += '\n\t\t\t\t\t</tbody>\n\t\t\t\t</table>\n\t\t\t</td>\n\t\t</tr>\n\t\t<tr>\n\t\t\t<td>\n\t\t\t\t<table class="player-stat" cellpadding="0" cellspacing="0" cellpadding="0">\n\t\t\t\t\t<thead>\n\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t<th align="left" valign="middle">Rushing</th>\n\t\t\t\t\t\t\t<th align="center" valign="middle">ATT</th>\n\t\t\t\t\t\t\t<th align="center" valign="middle">YDS</th>\n\t\t\t\t\t\t\t<th align="center" valign="middle">AVG</th>\n\t\t\t\t\t\t\t<th align="center" valign="middle">TD</th>\n\t\t\t\t\t\t</tr>\n\t\t\t\t\t</thead>\n\t\t\t\t\t<tbody>\n\t\t\t\t\t\t'; _.each(this.team.get('player_rushing'), function(player) { ;__p += '\n\t\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t\t<td align="left" valign="middle">'; if (player.player_number) { ;__p += '#' +((__t = ( player.player_number )) == null ? '' : __t); } ;__p += ' ' +((__t = ( player.fullname )) == null ? '' : __t) +'</td>\n\t\t\t\t\t\t\t\t<td align="center" valign="middle">' +((__t = ( player.rushing_att )) == null ? '' : __t) +'</td>\n\t\t\t\t\t\t\t\t<td align="center" valign="middle">' +((__t = ( player.rushing_yds )) == null ? '' : __t) +'</td>\n\t\t\t\t\t\t\t\t<td align="center" valign="middle">'; if (player.rushing_avg) { ;__p +=((__t = ( parseFloat(player.rushing_avg).toFixed(2) )) == null ? '' : __t); } ;__p += '</td>\n\t\t\t\t\t\t\t\t<td align="center" valign="middle">' +((__t = ( player.rushing_td )) == null ? '' : __t) +'</td>\n\t\t\t\t\t\t\t</tr>\n\t\t\t\t\t\t'; }) ;__p += '\n\t\t\t\t\t</tbody>\n\t\t\t\t</table>\n\t\t\t</td>\n\t\t</tr>\n\t\t<tr>\n\t\t\t<td>\n\t\t\t\t<table class="player-stat" cellpadding="0" cellspacing="0" cellpadding="0">\n\t\t\t\t\t<thead>\n\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t<th align="left" valign="middle">Receiving</th>\n\t\t\t\t\t\t\t<th align="center" valign="middle">REC</th>\n\t\t\t\t\t\t\t<th align="center" valign="middle">YDS</th>\n\t\t\t\t\t\t\t<th align="center" valign="middle">AVG</th>\n\t\t\t\t\t\t\t<th align="center" valign="middle">TD</th>\n\t\t\t\t\t\t</tr>\n\t\t\t\t\t</thead>\n\t\t\t\t\t<tbody>\n\t\t\t\t\t\t'; _.each(this.team.get('player_receiving'), function(player) { ;__p += '\n\t\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t\t<td align="left" valign="middle">'; if (player.player_number) { ;__p += '#' +((__t = ( player.player_number )) == null ? '' : __t); } ;__p += ' ' +((__t = ( player.fullname )) == null ? '' : __t) +'</td>\n\t\t\t\t\t\t\t\t<td align="center" valign="middle">' +((__t = ( player.receiving_rec )) == null ? '' : __t) +'</td>\n\t\t\t\t\t\t\t\t<td align="center" valign="middle">' +((__t = ( player.receiving_yds )) == null ? '' : __t) +'</td>\n\t\t\t\t\t\t\t\t<td align="center" valign="middle">'; if (player.receiving_avg) { ;__p +=((__t = ( parseFloat(player.receiving_avg).toFixed(2) )) == null ? '' : __t); } ;__p += '</td>\n\t\t\t\t\t\t\t\t<td align="center" valign="middle">' +((__t = ( player.receiving_td )) == null ? '' : __t) +'</td>\n\t\t\t\t\t\t\t</tr>\n\t\t\t\t\t\t'; }) ;__p += '\n\t\t\t\t\t</tbody>\n\t\t\t\t</table>\n\t\t\t</td>\n\t\t</tr>\n\t\t<tr>\n\t\t\t<td>\n\t\t\t\t<table class="player-stat" cellpadding="0" cellspacing="0" cellpadding="0">\n\t\t\t\t\t<thead>\n\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t<th align="left" valign="middle">Defense</th>\n\t\t\t\t\t\t\t<th align="center" valign="middle">INT</th>\n\t\t\t\t\t\t\t<th align="center" valign="middle">SCK</th>\n\t\t\t\t\t\t\t<th align="center" valign="middle">TKL</th>\n\t\t\t\t\t\t\t<th align="center" valign="middle">TD</th>\n\t\t\t\t\t\t</tr>\n\t\t\t\t\t</thead>\n\t\t\t\t\t<tbody>\n\t\t\t\t\t\t'; _.each(this.team.get('player_defense'), function(player) { ;__p += '\n\t\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t\t<td align="left" valign="middle">'; if (player.player_number) { ;__p += '#' +((__t = ( player.player_number )) == null ? '' : __t); } ;__p += ' ' +((__t = ( player.fullname )) == null ? '' : __t) +'</td>\n\t\t\t\t\t\t\t\t<td align="center" valign="middle">' +((__t = ( player.defense_int )) == null ? '' : __t) +'</td>\n\t\t\t\t\t\t\t\t<td align="center" valign="middle">' +((__t = ( player.defense_sck )) == null ? '' : __t) +'</td>\n\t\t\t\t\t\t\t\t<td align="center" valign="middle">' +((__t = ( player.defense_tkl )) == null ? '' : __t) +'</td>\n\t\t\t\t\t\t\t\t<td align="center" valign="middle">' +((__t = ( player.defense_td )) == null ? '' : __t) +'</td>\n\t\t\t\t\t\t\t</tr>\n\t\t\t\t\t\t'; }) ;__p += '\n\t\t\t\t\t</tbody>\n\t\t\t\t</table>\n\t\t\t</td>\n\t\t</tr>\n\t\t<tr>\n\t\t\t<td>\n\t\t\t\t<table class="player-stat" cellpadding="0" cellspacing="0" cellpadding="0">\n\t\t\t\t\t<thead>\n\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t<th align="left" valign="middle">Kicking</th>\n\t\t\t\t\t\t\t<th align="center" valign="middle">FGA</th>\n\t\t\t\t\t\t\t<th align="center" valign="middle">FGM</th>\n\t\t\t\t\t\t\t<th align="center" valign="middle">XPA</th>\n\t\t\t\t\t\t\t<th align="center" valign="middle">XPM</th>\n\t\t\t\t\t\t</tr>\n\t\t\t\t\t</thead>\n\t\t\t\t\t<tbody>\n\t\t\t\t\t\t'; _.each(this.team.get('player_kicking'), function(player) { ;__p += '\n\t\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t\t<td align="left" valign="middle">'; if (player.player_number) { ;__p += '#' +((__t = ( player.player_number )) == null ? '' : __t); } ;__p += ' ' +((__t = ( player.fullname )) == null ? '' : __t) +'</td>\n\t\t\t\t\t\t\t\t<td align="center" valign="middle">' +((__t = ( player.kicking_fga )) == null ? '' : __t) +'</td>\n\t\t\t\t\t\t\t\t<td align="center" valign="middle">' +((__t = ( player.kicking_fgm )) == null ? '' : __t) +'</td>\n\t\t\t\t\t\t\t\t<td align="center" valign="middle">' +((__t = ( player.kicking_xpa )) == null ? '' : __t) +'</td>\n\t\t\t\t\t\t\t\t<td align="center" valign="middle">' +((__t = ( player.kicking_xpm )) == null ? '' : __t) +'</td>\n\t\t\t\t\t\t\t</tr>\n\t\t\t\t\t\t'; }) ;__p += '\n\t\t\t\t\t</tbody>\n\t\t\t\t</table>\n\t\t\t</td>\n\t\t</tr>\n\t\t<tr>\n\t\t\t<td>\n\t\t\t\t<table class="player-stat" cellpadding="0" cellspacing="0" cellpadding="0">\n\t\t\t\t\t<thead>\n\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t<th align="left" valign="middle">Punting</th>\n\t\t\t\t\t\t\t<th align="center" valign="middle">&nbsp;</th>\n\t\t\t\t\t\t\t<th align="center" valign="middle">AVG</th>\n\t\t\t\t\t\t\t<th align="center" valign="middle">YDS</th>\n\t\t\t\t\t\t\t<th align="center" valign="middle">TOT</th>\n\t\t\t\t\t\t</tr>\n\t\t\t\t\t</thead>\n\t\t\t\t\t<tbody>\n\t\t\t\t\t\t'; _.each(this.team.get('player_punting'), function(player) { ;__p += '\n\t\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t\t<td align="left" valign="middle">'; if (player.player_number) { ;__p += '#' +((__t = ( player.player_number )) == null ? '' : __t); } ;__p += ' ' +((__t = ( player.fullname )) == null ? '' : __t) +'</td>\n\t\t\t\t\t\t\t\t<td align="center" valign="middle">&nbsp;</td>\n\t\t\t\t\t\t\t\t<td align="center" valign="middle">'; if (player.punting_avg) { ;__p +=((__t = ( parseFloat(player.punting_avg).toFixed(2) )) == null ? '' : __t); } ;__p += '</td>\n\t\t\t\t\t\t\t\t<td align="center" valign="middle">' +((__t = ( player.punting_yds )) == null ? '' : __t) +'</td>\n\t\t\t\t\t\t\t\t<td align="center" valign="middle">' +((__t = ( player.punting_tot )) == null ? '' : __t) +'</td>\n\t\t\t\t\t\t\t</tr>\n\t\t\t\t\t\t'; }) ;__p += '\n\t\t\t\t\t</tbody>\n\t\t\t\t</table>\n\t\t\t</td>\n\t\t</tr>\n\t</tbody>\n</table>';}return __p};

this["app"]["templates"]["process"] = function(obj) {obj || (obj = {});var __t, __p = '', __e = _.escape;with (obj) {__p += '<div class="inner">\n\t<div class="loading">\n\t\t<div class="spinner">\n\t\t\t<div class="rect1"></div>\n\t\t\t<div class="rect2"></div>\n\t\t\t<div class="rect3"></div>\n\t\t\t<div class="rect4"></div>\n\t\t\t<div class="rect5"></div>\n\t\t</div>\n\t</div>\n</div>';}return __p};

this["app"]["templates"]["register"] = function(obj) {obj || (obj = {});var __t, __p = '', __e = _.escape, __j = Array.prototype.join;function print() { __p += __j.call(arguments, '') }with (obj) {__p += '<div class="inner">\n\t<div class="back"></div>\n\t<div class="register-header"></div>\n\t<form id="signin-form">\n\t\t<div class="form-group email">\n\t\t\t<input type="email" name="email" placeholder="email" '; if (app.options.temp ) { ;__p += 'value="' +((__t = ( app.options.temp.email )) == null ? '' : __t) +'"'; } ;__p += ' />\n\t\t</div>\n\t\t<div class="form-group fname">\n\t\t\t<input type="text" name="fname" placeholder="first name" '; if (app.options.temp ) { ;__p += 'value="' +((__t = ( app.options.temp.first_name )) == null ? '' : __t) +'"'; } ;__p += '  />\n\t\t</div>\n\t\t<div class="form-group lname">\n\t\t\t<input type="text" name="lname" placeholder="last name" '; if (app.options.temp ) { ;__p += 'value="' +((__t = ( app.options.temp.last_name )) == null ? '' : __t) +'"'; } ;__p += ' />\n\t\t</div>\n\t\t<div class="form-group pwd">\n\t\t\t<input type="password" name="pwd" placeholder="password"  />\n\t\t</div>\n\t\t<div class="form-group pwd">\n\t\t\t<input type="password" name="confirm" placeholder="confirm password"  />\n\t\t</div>\n\t\t<div class="form-group teams_id">\n\t\t\t<select name="teams_id" class="placeholder">\n\t\t\t\t<option value="">school affiliation</option>\n\t\t\t\t'; _.each(app.collections.schools.models, function(m) { ;__p += '\n\t\t\t\t\t<option value="' +((__t = ( m.get('id') )) == null ? '' : __t) +'">' +((__t = ( m.get('school_name') )) == null ? '' : __t) +'</option>\n\t\t\t\t'; }) ;__p += '\n\t\t\t</select>\n\t\t</div>\n\t\t<div class="error hidden text-center">\n\t\t\t<p>Please provide valid input.</p>\n\t\t</div>\n\t\t<div class="text-center">\n\t\t\t<button class="button full" id="signin">SIGN IN</button>\n\t\t</div>\n\t</form>\n</div>';}return __p};

this["app"]["templates"]["scores"] = function(obj) {obj || (obj = {});var __t, __p = '', __e = _.escape, __j = Array.prototype.join;function print() { __p += __j.call(arguments, '') }with (obj) { var view = this; ;__p += '\n\n<div class="adv_container"></div>\n<div class="ad-modal-view-container"></div>\n\n<div id="navbar" class="cf">\n\t<div id="burger"></div>\n\t<span id="reload"></span>\n\t<h1>HSGT Scoreboard</h1>\n</div>\n<div class="weeks"></div>\n<div class="scroller">\n\t<div class="game-of-week"></div>\n\t<div class="favorites-by-week"></div>\n\t<div class="conferences-by-week"></div>\n</div>';}return __p};

this["app"]["templates"]["team-schedule"] = function(obj) {obj || (obj = {});var __t, __p = '', __e = _.escape, __j = Array.prototype.join;function print() { __p += __j.call(arguments, '') }with (obj) {__p += '<div class="adv_container"></div>\n<div class="ad-modal-view-container"></div>\n\n'; if (!this.model.get('loaded')) { ;__p += '\n\n\t<div id="navbar" class="cf">\n\t\t<div id="burger"></div>\n\t\t<div id="back"></div>\n\t\t<h1>Loading...</h1>\n\t</div>\n\t<div class="loading">\n\t\t<div class="spinner">\n\t\t\t<div class="rect1"></div>\n\t\t\t<div class="rect2"></div>\n\t\t\t<div class="rect3"></div>\n\t\t\t<div class="rect4"></div>\n\t\t\t<div class="rect5"></div>\n\t\t</div>\n\t</div>\n\n'; } else { ;__p += '\n\n\t'; var schedules = this.model.get('games_by_school_sched'); ;__p += '\n\t'; var now = new Date(); ;__p += '\n\t'; var futureGame = false; ;__p += '\n\t'; var view = this; ;__p += '\n\n\t<div id="navbar" class="cf">\n\t\t<div id="burger"></div>\n\t\t<div id="back"></div>\n\t\t<span id="reload"></span>\n\t\t<h1 class="ellipsis" style="padding: 0 23px 0 64px;">'; if (this.teamName) { ;__p +=((__t = ( this.teamName )) == null ? '' : __t); } else { ;__p += 'Loading...'; } ;__p += '</h1>\n\t</div>\n\t<div class="schedule-list scroller">\n\t\t'; if (schedules.length != 0) { ;__p += '\n\t\t\t'; _.each(schedules.reverse(), function(item){ ;__p += '\n\t\t\t\t'; var homeTeam = true; ;__p += '\n\t\t\t\t'; if (item.teams_id_home != view.model.get('teams_id')){ homeTeam = false; } ;__p += '\n\t\t\t\t'; var gameDate = new Date(); ;__p += '\n\t\t\t\t'; gameDate.setFullYear(item.game_date.substring(0, 4)); ;__p += '\n\t\t\t\t'; gameDate.setMonth(parseInt(item.game_date.substring(5, 7)) - 1); ;__p += '\n\t\t\t\t'; gameDate.setDate(item.game_date.substring(8, 10)); ;__p += '\n\t\t\t\t'; gameDate.setHours(item.game_date.substring(11, 13)); ;__p += '\n\t\t\t\t'; gameDate.setMinutes(item.game_date.substring(14, 16)); ;__p += '\n\t\t\t\t'; gameDate.setSeconds(item.game_date.substring(17, 19)); ;__p += '\n\t\t\t\t'; if (now.getTime() < gameDate.getTime()){ futureGame = true; } ;__p += '\n\t\t\t\t'; var months = ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"]; ;__p += '\n\t\t\t\t<div class="item" data-id="' +((__t = ( item.id )) == null ? '' : __t) +'">\n\t\t\t\t\t<span class="col date">' +((__t = ( months[parseInt(item.game_date.substring(5, 7)) - 1] )) == null ? '' : __t) +' ' +((__t = ( item.game_date.substring(8, 10) )) == null ? '' : __t) +'</span>\n\t\t\t\t\t<span class="col against ellipsis">'; if (homeTeam){ ;__p += 'vs ' +((__t = ( item.visitorteam )) == null ? '' : __t); } else { ;__p += '@ ' +((__t = ( item.hometeam )) == null ? '' : __t); } ;__p += '\n\t\t\t\t\t</span>\n\t\t\t\t\t'; if (homeTeam) { ;__p += '\n\t\t\t\t\t<span class="col result">'; if (!futureGame){ ; if (parseInt(item.home_score) > parseInt(item.visitor_score)){ ;__p += 'W'; } else if (parseInt(item.home_score) < parseInt(item.visitor_score)){ ;__p += 'L'; } else { ;__p += 'T'; } ; } else { ;__p += '-'; } ;__p += '</span>\n\t\t\t\t\t'; } else { ;__p += '\n\t\t\t\t\t<span class="col result">'; if (!futureGame){ ; if (parseInt(item.home_score) < parseInt(item.visitor_score)){ ;__p += 'W'; } else if (parseInt(item.home_score) > parseInt(item.visitor_score)){ ;__p += 'L'; } else { ;__p += 'T'; } ; } else { ;__p += '-'; } ;__p += '</span>\n\t\t\t\t\t'; } ;__p += '\n\t\t\t\t\t<span class="col score">'; if (!futureGame){ ; if (homeTeam){ ;__p +=((__t = ( item.home_score )) == null ? '' : __t) +'-' +((__t = ( item.visitor_score )) == null ? '' : __t); } else { ;__p +=((__t = ( item.visitor_score )) == null ? '' : __t) +'-' +((__t = ( item.home_score )) == null ? '' : __t); } ; } else { ;__p += '-'; } ;__p += '\n\t\t\t\t\t</span>\n\t\t\t\t</div>\n\t\t\t'; }) ;__p += '\n\t\t'; } else { ;__p += '\n\t\t\t<div class="item empty">\n\t\t\t\t<p class="center">Sorry, there is no schedule posted for '; if (this.teamName) { ;__p +=((__t = ( this.teamName )) == null ? '' : __t); } else { ;__p += 'this team'; } ;__p += ' right now. Please check back later.</p>\n\t\t\t</div>\n\t\t'; } ;__p += '\n\t</div>\n'; } ;}return __p};

this["app"]["templates"]["team-stats"] = function(obj) {obj || (obj = {});var __t, __p = '', __e = _.escape, __j = Array.prototype.join;function print() { __p += __j.call(arguments, '') }with (obj) {__p += '<table class="stat-table">\n\t<thead>\n\t\t<tr>\n\t\t\t<th>'; if (this.parentModel && this.parentModel.get('home')) { ;__p +=((__t = ( this.parentModel.get('home').school_abbrv || "Home" )) == null ? '' : __t); } else { ;__p += 'Home'; } ;__p += '</th>\n\t\t\t<th>&nbsp;</th>\n\t\t\t<th>'; if (this.parentModel && this.parentModel.get('visitor')) { ;__p +=((__t = ( this.parentModel.get('visitor').school_abbrv || "Visitor" )) == null ? '' : __t); } else { ;__p += 'Visitor'; } ;__p += '</th>\n\t\t</tr>\n\t</thead>\n\t'; if (this.home) { ;__p += '\n\t\t<tbody>\n\t\t\t<tr>\n\t\t\t\t<td valign="middle" >' +((__t = ( this.home.get('totalpassing') || '--' )) == null ? '' : __t) +'</td>\n\t\t\t\t<td valign="middle" >Passing Yards</td>\n\t\t\t\t<td valign="middle" >' +((__t = ( this.visitor.get('totalpassing') || '--' )) == null ? '' : __t) +'</td>\n\t\t\t</tr>\n\t\t\t<tr>\n\t\t\t\t<td valign="middle" >' +((__t = ( this.home.get('totalrushing') || '--' )) == null ? '' : __t) +'</td>\n\t\t\t\t<td valign="middle" >Rushing Yards</td>\n\t\t\t\t<td valign="middle" >' +((__t = ( this.visitor.get('totalrushing') || '--' )) == null ? '' : __t) +'</td>\n\t\t\t</tr>\n\t\t\t<tr>\n\t\t\t\t<td valign="middle" >' +((__t = ( this.home.get('totalreceiving') || '--' )) == null ? '' : __t) +'</td>\n\t\t\t\t<td valign="middle" >Receiving Yards</td>\n\t\t\t\t<td valign="middle" >' +((__t = ( this.visitor.get('totalreceiving') || '--' )) == null ? '' : __t) +'</td>\n\t\t\t</tr>\n\t\t\t<tr>\n\t\t\t\t<td valign="middle" >' +((__t = ( this.home.get('totaloffense') || '--' )) == null ? '' : __t) +'</td>\n\t\t\t\t<td valign="middle" >Total Offense</td>\n\t\t\t\t<td valign="middle" >' +((__t = ( this.visitor.get('totaloffense') || '--' )) == null ? '' : __t) +'</td>\n\t\t\t</tr>\n\t\t\t<tr>\n\t\t\t\t<td valign="middle" >' +((__t = ( this.home.get('totaltackles') || '--' )) == null ? '' : __t) +'</td>\n\t\t\t\t<td valign="middle" >Tackles</td>\n\t\t\t\t<td valign="middle" >' +((__t = ( this.visitor.get('totaltackles') || '--' )) == null ? '' : __t) +'</td>\n\t\t\t</tr>\n\t\t\t<tr>\n\t\t\t\t<td valign="middle" >' +((__t = ( this.home.get('totalturnovers') || '--' )) == null ? '' : __t) +'</td>\n\t\t\t\t<td valign="middle" >Turnovers</td>\n\t\t\t\t<td valign="middle" >' +((__t = ( this.visitor.get('totalturnovers') || '--' )) == null ? '' : __t) +'</td>\n\t\t\t</tr>\n\t\t</tbody>\n\t'; } ;__p += '\n</table>\n';}return __p};

this["app"]["templates"]["teams-list"] = function(obj) {obj || (obj = {});var __t, __p = '', __e = _.escape, __j = Array.prototype.join;function print() { __p += __j.call(arguments, '') }with (obj) { if (this.unfavorites && !this.unfavorites.isFetching) { ;__p += '\n\t'; var displayFavData = this.favorites.models; ;__p += '\n\t'; var displayUnFavData = this.unfavorites.models; ;__p += '\n\t'; if (this.search) { ;__p += '\n\t\t'; displayFavData = this.favorites.search(this.search); ;__p += '\n\t\t'; displayUnFavData = this.unfavorites.search(this.search); ;__p += '\n\t'; } ;__p += '\n\t'; if (displayFavData.length > 0){ ;__p += '\n\t\t<div class="section-header clearfix">\n\t\t\t<h1>My Favorite Teams</h1>\n\t\t</div>\n\t'; } ;__p += '\n\t<div class="favorites-list">\n\t\t'; _.each(_.sortBy(displayFavData, function(model){return model.get('team_name')}), function(model){ ;__p += '\n\t\t\t<div class="team favorite" data-id="' +((__t = ( model.get('teams_id') )) == null ? '' : __t) +'">\n\t\t\t\t<span class="ellipsis">' +((__t = ( model.get('team_name') )) == null ? '' : __t) +'</span>\n\t\t\t</div>\n\t\t'; }) ;__p += '\n\t</div>\n\t'; if (displayUnFavData.length > 0){ ;__p += '\n\t\t<div class="section-header clearfix">\n\t\t\t<h1>All Teams</h1>\n\t\t</div>\n\t'; } ;__p += '\n\t<div class="all-teams-list">\n\t\t'; _.each(_.sortBy(displayUnFavData, function(model){return model.get('team_name')}), function(model){ ;__p += '\n\n\n\t\t\t'; if (model.get('hide_from_team_sched') === "0") { ;__p += '\n\t\t\t\t<div class="team unfavorite" data-id="' +((__t = ( model.get('id') )) == null ? '' : __t) +'">\n\t\t\t\t\t<span class="ellipsis">' +((__t = ( model.get('team_name') )) == null ? '' : __t) +'</span>\n\t\t\t\t</div>\n\t\t\t'; } ;__p += '\n\n\t\t'; }) ;__p += '\n\t</div>\n'; } else { ;__p += '\n\t<div class="loading">\n\t\t<div class="spinner">\n\t\t\t<div class="rect1"></div>\n\t\t\t<div class="rect2"></div>\n\t\t\t<div class="rect3"></div>\n\t\t\t<div class="rect4"></div>\n\t\t\t<div class="rect5"></div>\n\t\t</div>\n\t</div>\n'; } ;}return __p};

this["app"]["templates"]["teams-schedules"] = function(obj) {obj || (obj = {});var __t, __p = '', __e = _.escape;with (obj) {__p += '<div class="adv_container"></div>\n<div class="ad-modal-view-container"></div>\n\n<div id="navbar" class="cf">\n\t<div id="burger"></div>\n\t<h1>View Schedules</h1>\n</div>\n<div class="searchbox">\n\t<div class="search clearfix">\n\t\t<input type="text" id="team-search" placeholder="Search Teams" />\n\t\t<button id="team-search-btn"></button>\n\t</div>\n</div>\n<div class="teams-list scroller"></div>';}return __p};

this["app"]["templates"]["weeks"] = function(obj) {obj || (obj = {});var __t, __p = '', __e = _.escape, __j = Array.prototype.join;function print() { __p += __j.call(arguments, '') }with (obj) { var view = this; ;__p += '\n'; if (this.model) { ;__p += '\n\t<ul class="clearfix">\n\t\t'; _.each(this.model.get('weeks'), function(week){ ;__p += '<li '; if (app.options.get('currentWeek') == week.week) { ;__p += 'class="active"'; } ;__p += ' data-week="' +((__t = ( week.week )) == null ? '' : __t) +'"><h1>Week ' +((__t = ( week.week )) == null ? '' : __t) +'</h1><p>' +((__t = ( week.start )) == null ? '' : __t) +'</p></li>'; }); ;__p += '\n\t</ul>\n'; } else { ;__p += '\n\t<div class="loading">\n\t\t<div class="spinner">\n\t\t\t<div class="rect1"></div>\n\t\t\t<div class="rect2"></div>\n\t\t\t<div class="rect3"></div>\n\t\t\t<div class="rect4"></div>\n\t\t\t<div class="rect5"></div>\n\t\t</div>\n\t</div>\n'; } ;__p += '\n';}return __p};

;

app.views = app.views || {};

(function () {
    'use strict';

	app.views.accountView = Backbone.View.extend({

		el: '#container',

		//template: _.template($('#js-templates-account').html()),
		template: app.templates.account,


		initialize: function () {
			var view = this;
			if (view.model) {
				view.model.bind('change', this.render, this);
			}
		},

		events: {
			"click #burger": "toggleMenu"
		},

		render: function() {
			var view = this,
			//html = view.template();
			html = _.template(view.template());
			view.$el.html(html);
			return this;
		},

		toggleMenu: function(){
			$.sidr('toggle');
		},

		onClose: function(){
			if (this.model) {
				this.model.unbind('change', this.render, this);
				this.model.unbind();
			}
			this.stopListening();
			this.undelegateEvents();
		}

	});

})();

;

app.views = app.views || {};

(function () {
    'use strict';

	app.views.adView = Backbone.View.extend({

		el: '.adv_container',

		//template: _.template($('#js-templates-ad').html()),
		template: app.templates.ad,

		initialize: function () {
			var view = this;
			if (view.model) {
				view.model.bind('change', this.render, this);
				view.model.fetch();
			}
			view.renderCount = 0;
		},

		events: {
			"click a": "handleClick"
		},

		handleClick: function(e) {
			window.open($(e.currentTarget).attr('href'),'_system','location=no');
        	e.preventDefault();
		},

		render: function() {
			var view = this,
			//html = view.template();
			html = _.template(view.template());
			view.$el.html(html);

			if (view.renderCount > 0) {
				if (view.model.get('image_path')) {
					view.$el.addClass('visible static');
					view.renderCount++;
				}
			} else {
				if (view.model.get('image_path')) {
					view.$el.addClass('visible');
					view.renderCount++;
				}
			}

			return this;
		},

		onClose: function(){
			if (this.model) {
				this.model.unbind('change', this.render, this);
				this.model.unbind();
			}
			this.stopListening();
			this.undelegateEvents();
		}

	});

	app.views.adModalView = Backbone.View.extend({

		el: '.ad-modal-view-container',

		//template: _.template($('#js-templates-ad-modal').html()),
		template: app.templates["ad-modal"],

		initialize: function (attrs) {
			this.options = attrs;
			this.render();
		},

		events: {
			"click .close": "closeModal",
			"click a": "handleClick"
		},

		handleClick: function(e) {
			window.open($(e.currentTarget).attr('href'),'_system','location=no');
        	e.preventDefault();
		},

		render: function() {
			var view = this,
			//html = view.template();
			html = _.template(view.template());
			view.$el.html(html);

			view.$el.addClass('visible static');
			this.$el.show();
			return this;
		},

		closeModal: function(){
			this.$el.hide();
		},

		onClose: function(){
			this.stopListening();
			this.undelegateEvents();
		}

	});

})();

;

app.views = app.views || {};

(function () {
    'use strict';

	app.views.donateView = Backbone.View.extend({

		el: '#container',

		//template: _.template($('#js-templates-donate').html()),
		template: app.templates.donate,

		initialize: function () {
			var view = this;
			if (view.model) {
				view.model.bind('change', this.render, this);
			}
		},

		events: {
			"click #burger": "toggleMenu"
		},

		render: function() {
			var view = this,
			//html = view.template();
			html = _.template(view.template());
			view.$el.html(html);
			return this;
		},

		toggleMenu: function(){
			$.sidr('toggle');
		},

		onClose: function(){
			if (this.model) {
				this.model.unbind('change', this.render, this);
				this.model.unbind();
			}
			this.stopListening();
			this.undelegateEvents();
		}

	});

})();

;

app.views = app.views || {};

(function () {
    'use strict';

	app.views.favoritesView = Backbone.View.extend({

		el: '#container',

		//template: _.template($('#js-templates-favorites').html()),
		template: app.templates.favorites,

		initialize: function () {

			var view = this;

			if (view.model) {
				view.model.bind('change', this.render, this);
			}

		},

		events: {
			"click #burger": 			"toggleMenu",
			"keyup #team-search":		"searchItems"
		},

		render: function() {
			var view = this,
			html = _.template(view.template());
			view.$el.html(html);

			this.listView = new app.views.favoriteListView({
				"parentView":	this
			});
			this.listView.render();

			return this;
		},

		toggleMenu: function(){
			$.sidr('toggle');
		},

		searchItems: function(e){
			this.listView.search = $(e.currentTarget).val();
			this.listView.render();
		},

		onClose: function(){
			if (this.model) {
				this.model.unbind('change', this.render, this);
				this.model.unbind();
			}
			this.listView.close();
			this.stopListening();
			this.undelegateEvents();
		}

	});

	app.views.favoriteListView = Backbone.View.extend({
		el: '.favorites-list',
		//template: _.template($('#js-templates-favorites-list').html()),
		template: app.templates["favorites-list"],

		initialize: function(options){
			var view = this;
			if (options.parentView) {
				this.parentView = options.parentView;
			}

			this.favorites = new app.collections.favoriteTeamCollection();
			this.favorites.bind('sync', this.render, this);
			this.favorites.fetch({
				complete: function(){
					view.unfavorites = new app.collections.unfavoriteTeamCollection();
					view.unfavorites.bind('sync', view.render, view);
					view.unfavorites.isFetching = true;
					view.unfavorites.fetch({
						complete: function(){
							view.unfavorites.isFetching = false;
							view.unfavorites.remove(_.map(view.favorites.models, function(model){ return model.get('teams_id'); }));
							view.render();
						}
					});
				}
			});


		},
		events: {
			"click .game":				"goToGame",
			"click .unfavorite.team":	"addFavorite",
			"click .favorite.team":		"removeFavorite"
		},
		render: function() {
			var view = this,
			html = _.template(view.template());
			view.$el.html(html);
			return this;
		},
		addFavorite: function(e) {
			var view = this;
			var id = $(e.currentTarget).data('id');
			var teamsId = $(e.currentTarget).data('teams-id');
			var model = this.unfavorites.get(teamsId);
			if (model) {
				//this.unfavorites.remove(model);
				//this.favorites.add(model);
				//this.render();
				if (this['req' + teamsId]) {
					console.log(this['req' + teamsId]);
					this['req' + teamsId].abort();
				}
				this['req' + teamsId] = $.ajax({
					url: app.options.get('api') + 'usersfavorites',
					type: 'POST',
					dataType: 'text',
					data: JSON.stringify({
						"users_id":	app.user.get('id'),
						"teams_id":	teamsId
					}),
					beforeSend: function(){
						$(e.currentTarget).addClass('loading');
					},
					success: function(response) {
						response = JSON.parse(response);
						response['team_name'] = model.get('team_name');
						view.unfavorites.remove(model);
						view.favorites.add(response);
						view.render();
					},
					error: function(){},
					complete: function(){
						$(e.currentTarget).removeClass('loading');
						view['req' + teamsId] = null;
					},
				});
			}
		},

		removeFavorite: function(e) {
			var view = this;
			var id = $(e.currentTarget).data('id');
			var teamsId = $(e.currentTarget).data('teams-id');
			var model = this.favorites.get(id);
			if (model) {
				//this.favorites.remove(model);
				//this.unfavorites.add(model);
				//this.render();
				if (this['req' + id]) {
					console.log(this['req' + id]);
					this['req' + id].abort();
				}
				this['req' + teamsId] = $.ajax({
					url: app.options.get('api') + 'usersfavorites/' + id,
					type: 'DELETE',
					beforeSend: function(){
						$(e.currentTarget).addClass('loading');
					},
					success: function(response) {
						response = JSON.parse(response);
						view.favorites.remove(model);
						view.unfavorites.add(model.toJSON());
						view.render();
					},
					error: function(){},
					complete: function(){
						$(e.currentTarget).removeClass('loading');
						view['req' + teamsId] = null;
					},
				});
			}
		},

		onClose: function(){
			this.favorites.unbind('sync', this.render, this);
			this.unfavorites.unbind('sync', this.render, this);
			this.stopListening();
			this.undelegateEvents();
		}

	});

})();

;

app.views = app.views || {};

(function () {
    'use strict';

	app.views.loginView = Backbone.View.extend({

		el: '#container',

		//template: _.template($('#js-templates-login').html()),
		template: app.templates.login,

		initialize: function () {
			var view = this;
			if (view.model) {
				view.model.bind('change', this.render, this);
			}
		},

		events: {
			"click #signin":	"signin",
			"click #facebook":	"facebook"
		},

		render: function() {
			var view = this,
			html = _.template(view.template());
			view.$el.html(html);
			return this;
		},

		signin: function(e) {
			e.preventDefault();
			var input = $('#login-form').serializeObject();
			if (input.email && input.pwd) {
				this.hideError();
				app.user.set(input);
				app.user.login();
			}
		},

		facebook: function(){

			/*
					var url = window.location.href;
					var arr = url.split('/');
					var domain = arr[0] + '//' + arr[2];

					console.log("domain: " + domain);

					var oauth = 'https://www.facebook.com/dialog/oauth' +
			                '?client_id=1519529401638025&scope=email&response_type=token' +
			                '&redirect_uri=https://www.facebook.com/connect/login_success.html'; // + encodeURIComponent(domain + "/#!/process"); // document.URL

			        var ref = window.open(oauth, '_blank', 'location=yes');

			        ref.addEventListener('loadstart', function(event) { console.log('loadStart: ' + event.url); });
			        ref.addEventListener('loadstop', function(event) { console.log('loadStop: ' + event.url); });

			        ref.addEventListener('exit', function(event) {
						ref.removeEventListener('loadstart');
						ref.removeEventListener('loadstop');
						ref.removeEventListener('exit');
					});
			*/

			/*
					FB.login(function(response){
						statusChangeCallback(response);
					});
			*/

			var fbLoginSuccess = function (userData) {
			    console.log("UserInfo: " + JSON.stringify(userData));
			    console.log('path: ' + userData.authResponse.userID + "/?fields=id,email");
			    facebookConnectPlugin.api(userData.authResponse.userID + "/?fields=id,email", [],
			    function (result) {
			        console.log("Result: " + JSON.stringify(result));
			        app.user.fbLogin(result);
			    },
			    function (error) {
			        console.log("Failed: " + JSON.stringify(error));
			    });
			}

			facebookConnectPlugin.login(["public_profile"],
			    fbLoginSuccess,
			    function (error) { alert("" + error) }
			);

		},

		showError: function(){
			var errorObj = $('.error');
			if (errorObj.hasClass('hidden')) {
				errorObj.removeClass('hidden');
			}
		},

		hideError: function(){
			var errorObj = $('.error');
			if (!errorObj.hasClass('hidden')) {
				errorObj.addClass('hidden');
			}
		},

		onClose: function(){
			if (this.model) {
				this.model.unbind('change', this.render, this);
				this.model.unbind();
			}
			this.stopListening();
			this.undelegateEvents();
		}

	});

	app.views.forgotView = Backbone.View.extend({

		el: '#container',

		//template: _.template($('#js-templates-forgot').html()),
		template: app.templates.forgot,

		initialize: function () {
			var view = this;
			if (view.model) {
				view.model.bind('change', this.render, this);
			}
		},

		events: {
			"click .back":		"goBack",
			"click #reset":		"resetPassword"
		},

		render: function() {
			var view = this,
			html = _.template(view.template());
			view.$el.html(html);
			return this;
		},

		goBack: function(){
			app.router.route.navigate("#!", {trigger: true});
		},

		resetPassword: function(e) {
			e.preventDefault();
			// http://hsgt.greygoomedia.com/admin/resetpwd/?email=%5Bemail
			var email = $("#email").val();
			if (email) {
				console.log('email:', email);
				$('.register-header').css('opacity', 1);
				$('.error').addClass('hidden');

				$.ajax({
					url: 'http://hsgt.greygoomedia.com/admin/resetpwd/?email=' + email,
					beforeSend: function() {
						$('#reset').text('Loading...');
					},
					success: function(){
						$('#reset').text('Check your email.');
					}
				})


			} else {
				$('.register-header').css('opacity', 0);
				$('.error.hidden').removeClass('hidden');
			}
		},


		onClose: function(){
			if (this.model) {
				this.model.unbind('change', this.render, this);
				this.model.unbind();
			}
			this.stopListening();
			this.undelegateEvents();
		}

	});

	app.views.registerView = Backbone.View.extend({

		el: '#container',

		//template: _.template($('#js-templates-register').html()),
		template: app.templates.register,

		initialize: function () {
			app.collections.schools.bind('sync', this.render, this);
			this.model = new app.models.userModel();
		},

		events: {
			"click .back":		"goBack",
			"click #signin":	"signin"
		},

		render: function() {
			var view = this,
			html = _.template(view.template());
			view.$el.html(html);
			return this;
		},

		signin: function(e){
			e.preventDefault();
			var input = $('#signin-form').serializeObject();
			var error = [];

			$('.form-group').removeClass('error-input');
			$('div.error').addClass('hidden');
			$('div.register-header').removeClass('hidden');

			if (!input.email) {
				error.push('email');
			}
			if (!input.fname) {
				error.push('fname');
			}
			if (!input.lname) {
				error.push('lname');
			}
			if (!input.pwd || input.pwd !== input.confirm) {
				error.push('pwd', 'confirm');
			}
			if (!input.teams_id) {
				error.push('teams_id');
			}
			if (!_.isEmpty(error)) {
				$('div.error').removeClass('hidden');
				$('div.register-header').addClass('hidden');
				_.each(error, function(group){
					$('.form-group.' + group).addClass('error-input');
				});
				return;
			} else {
				$(e.currentTarget).text('Signing in...');
				this.model.set(input);
				this.model.register();
			}
		},

		goBack: function(){
			//app.router.route.stepBack();
			app.router.route.navigate("#!", {trigger: true});
		},

		onClose: function(){
			app.collections.schools.unbind('sync', this.render, this);
			app.options.temp = null;
			this.stopListening();
			this.undelegateEvents();
		}

	});

	app.views.processView = Backbone.View.extend({

		el: '#container',

		//template: _.template($('#js-templates-process').html()),
		template: app.templates.process,

		initialize: function () {
			var view = this;
			if (view.model) {
				view.model.bind('change', this.render, this);
			}
		},

		render: function() {
			var view = this,
			html = _.template(view.template());
			view.$el.html(html);

			FB.getLoginStatus(function(response) {
				statusChangeCallback(response);
			});


			return this;
		},

		onClose: function(){
			if (this.model) {
				this.model.unbind('change', this.render, this);
				this.model.unbind();
			}
			this.stopListening();
			this.undelegateEvents();
		}

	});

})();

;

app.views = app.views || {};

(function () {
    'use strict';

	app.views.menuView = Backbone.View.extend({

		el: '#sidr',

		//template: _.template($('#js-templates-menu').html()),
		template: app.templates.menu,

		initialize: function () {
			var view = this;
			if (view.model) {
				view.model.bind('change', this.render, this);
			}
		},

		events: {
			"click a":			"navigate",
			"click .logout":	"logout"

		},

		render: function() {
			var view = this,
			html = _.template(view.template());
			view.$el.html(html);
			$('#burger').sidr();
			return this;
		},

		navigate: function(){
			$.sidr('close');
		},

		logout: function(){
			app.user.set('active', false);
			localStorage.setItem("user", JSON.stringify(app.user.toJSON()));
			//FB.logout();
			facebookConnectPlugin.logout();
			app.router.route.navigate("!/", {trigger: true});
			$.sidr('close');
		},

		onClose: function(){
			if (this.model) {
				this.model.unbind('change', this.render, this);
				this.model.unbind();
			}
			this.stopListening();
			this.undelegateEvents();
		}

	});

})();

;

app.views = app.views || {};

(function () {
    'use strict';

	app.views.teamsSchedulesView = Backbone.View.extend({
		el: '#container',
		//template: _.template($('#js-templates-teams-schedules').html()),
		template: app.templates["teams-schedules"],
		initialize: function(){

		},
		events: {
			"click #burger":      "toggleMenu",
			"keyup #team-search": "searchItems",
			"click #ad":		  "launchAd"
		},
		render: function() {
			var view = this,
			html = _.template(view.template());
			view.$el.html(html);

			if (!view.adView) {
				var adModel = new app.models.adGeneralModel();
				view.adView = new app.views.adView({"model": adModel});
				view.adView.model.showAds();
			} else {
				view.adView.$el = $('.adv_container');
				view.adView.render();
			}

			this.teamsListView = new app.views.teamsListView({
				"parentView": this
			});
			this.teamsListView.render();

			return this;
		},
		toggleMenu: function(){
			$.sidr('toggle');
		},
		searchItems: function(e){
			console.log($(e.currentTarget).val());
			this.teamsListView.search = $(e.currentTarget).val();
			this.teamsListView.render();
		},
		launchAd: function(){
			this.adView.model.launchAd();
		},
		onClose: function(){
			this.teamsListView.close();
			if (this.adView) {
				if (this.adView.model) {
					this.adView.model.killSwitch();
				}
				this.adView.close();
			}

			this.stopListening();
			this.undelegateEvents();
		}
	});

	app.views.teamsListView = Backbone.View.extend({
		el: '.teams-list',
		//template: _.template($('#js-templates-teams-list').html()),
		template: app.templates["teams-list"],
		initialize: function(options){
			var view = this;
			if (options.parentView) {
				this.parentView = options.parentView;
			}

			this.favorites = new app.collections.favoriteTeamCollection();
			this.favorites.bind('sync', this.render, this);
			this.favorites.fetch();

			this.unfavorites = new app.collections.unfavoriteTeamCollection();
			this.unfavorites.bind('sync', this.render, this);
			this.unfavorites.isFetching = true;
			this.unfavorites.fetch({
				complete: function(){
					view.unfavorites.isFetching = false;
					view.render();
				}
			});

		},
		events: {
			"click .team": "goToTeamSchedule"
		},
		goToTeamSchedule: function(e){
			var target = $(e.currentTarget);
			app.router.route.navigate("!/team-schedule/" + target.data('id') + '/' + app.collections.seasons.getActiveSeason().get('id'), {trigger: true});
		},
		render: function() {
			var view = this,
			html = _.template(view.template());
			view.$el.html(html);
			return this;
		},
		onClose: function(){
			this.favorites.unbind('sync', this.render, this);
			this.unfavorites.unbind('sync', this.render, this);
			this.stopListening();
			this.undelegateEvents();
		}
	});

	app.views.teamScheduleView = Backbone.View.extend({

		el: '#container',

		//template: _.template($('#js-templates-team-schedule').html()),
		template: app.templates["team-schedule"],

		initialize: function () {
			var view = this;
			this.model.bind('change', this.render, this);
			this.model.fetch({
				success: function(model){
					model.getTeamName(model.get('teams_id')).then(function(data){
						view.teamName = data.team_name;
						model.set('loaded', true);
					});
				}
			});
		},

		events: {
			"click #burger":			"toggleMenu",
			"click #back":				"goBack",
			"click #reload":			"reload",
			"click .item":              "goToGame",
			"click #ad":				"launchAd"
		},

		reload: function() {
			this.model.set('loaded', false);
			this.model.fetch({
				success: function(model){
					model.set('loaded', true);
				}
			});
		},

		render: function() {
			var view = this,
			html = _.template(view.template());
			view.$el.html(html);

			if (!view.adView) {
				var adModel = new app.models.adGeneralModel();
				view.adView = new app.views.adView({"model": adModel});
				view.adView.model.showAds();
			} else {
				view.adView.$el = $('.adv_container');
				view.adView.render();
			}

			return this;
		},

		toggleMenu: function(){
			$.sidr('toggle');
		},

		goBack: function(){
			app.router.route.stepBack();
		},

		goToGame: function(e){
			var target = $(e.currentTarget);
			app.router.route.navigate("!/game/" + target.data('id'), {trigger: true});
		},

		launchAd: function(){
			this.adView.model.launchAd();
		},

		onClose: function(){
			if (this.model) {
				this.model.unbind('change', this.render, this);
				this.model.unbind();
			}
			this.stopListening();
			this.undelegateEvents();
		}
	});

})();

;

app.views = app.views || {};

(function () {
    'use strict';

	app.views.scoresView = Backbone.View.extend({

		el: '#container',

		//template: _.template($('#js-templates-scores').html()),
		template: app.templates.scores,

		initialize: function () {
			app.collections.seasons.bind('sync', this.configSeason, this);
			if (!_.isEmpty(app.collections.seasons.models)) {
				this.configSeason();
			}
		},

		events: {
			"click #burger":	"toggleMenu",
			"click .game":		"goToGame",
			"click #reload":	"changeWeek",
			"click #ad":		"launchAd"
		},

		render: function() {
			var view = this,
			html = _.template(view.template());
			view.$el.html(html);

			if (!view.adView) {
				var adModel = new app.models.adGeneralModel();
				view.adView = new app.views.adView({"model": adModel});
				view.adView.model.showAds();
			} else {
				view.adView.$el = $('.adv_container');
				view.adView.render();
			}

			if (this.model) {
				this.weekView = new app.views.weekView({
					"model": this.model,
					"parentView": this
				});
				this.weekView.render();

				this.gameOfWeek = new app.views.gameOfWeekView({
					"parentView": this
				});
				this.gameOfWeek.render();

				this.favoritesWeek = new app.views.favoritesWeekView({
					"parentView": this
				});
				this.favoritesWeek.render();

				this.conferenceWeek = new app.views.conferenceWeekView({
					"parentView": this
				});
				this.conferenceWeek.render();

			}


			return this;
		},

		launchAd: function(){
			this.adView.model.launchAd();
		},

		configSeason: function(){

			this.model = app.collections.seasons.getActiveSeason();
			if (this.model) {
				this.model.bind('change', this.render, this);
			}

			if (this.model && !app.options.get('currentWeek')) {
				var today = moment();
				var currentWeek = 1;
				_.each(this.model.get('weeks'), function(week){
					if ( moment(week.start).isSame(today) || ( moment(week.start).isBefore(today) && moment(week.start).add('days', 6).isAfter(today) ) ) {
						currentWeek = week.week;
					}
				});
				app.options.set('currentWeek', currentWeek);
			}

			this.render();
		},

		changeWeek: function(){
			this.gameOfWeek.changeWeek();
			this.favoritesWeek.changeWeek();
			this.conferenceWeek.changeWeek();
		},

		toggleMenu: function(){
			$.sidr('toggle');
		},

		onClose: function(){
			app.collections.seasons.unbind('sync', this.configSeason, this);
			app.collections.conferences.unbind('sync', this.render, this);
			if (this.model) {
				this.model.unbind('change', this.render, this);
				this.model.unbind();
			}
			if (this.adView) {
				if (this.adView.model) {
					this.adView.model.killSwitch();
				}
				this.adView.close();
			}
			this.gameOfWeek.close();
			this.weekView.close();
			this.favoritesWeek.close();
			this.conferenceWeek.close();
			this.stopListening();
			this.undelegateEvents();
		}
	});

	app.views.weekView = Backbone.View.extend({
		el: '.weeks',
		//template: _.template($('#js-templates-weeks').html()),
		template: app.templates.weeks,

		initialize: function(options){
			if (options.parentView) {
				this.parentView = options.parentView;
			}
			if (this.model && app.options.get('currentWeek') === null) {
				var today = moment();
				var currentWeek = 1;
				_.each(this.model.get('weeks'), function(week){
					if ( moment(week.start).isSame(today) || ( moment(week.start).isBefore(today) && moment(week.start).add('days', 6).isAfter(today) ) ) {
						currentWeek = week.week;
					}
				});
				app.options.set('currentWeek', currentWeek);
			}
		},
		events: {
			"click li":	"changeWeek"
		},
		render: function() {
			var view = this,
			html = _.template(view.template());
			view.$el.html(html);
			this.scrollToWeek();
			return this;
		},
		scrollToWeek: function(){

			if (app.options.get('currentWeek')) {
				var target = $('li[data-week="' + app.options.get('currentWeek') + '"]');

				// var parentWidth = $('.weeks').width();
				// var scrollPos = $('.weeks').scrollLeft();
				// var offset = target.offset();
				var width = target.width();
				//(scrollPos + offset.left) - (parentWidth / 2) + (width / 2)
				var count = app.options.get('currentWeek');
				if (count == 1 || count == 2) {
					count = 0;
				} else {
					count = count - 2;
				}
				$('.weeks').animate({
					scrollLeft: count * width
				}, 0);

				this.scrollCount++;
			}
		},
		changeWeek: function(e){

			app.options.set('currentWeek', $(e.currentTarget).data('week'));
			$('li.active', this.el).removeClass('active');
			$(e.currentTarget).addClass('active');

			var parentWidth = $('.weeks').width();
			var scrollPos = $('.weeks').scrollLeft();
			var offset = $(e.currentTarget).offset();
			var width = $(e.currentTarget).width();

			$('.weeks').animate({
				scrollLeft: (scrollPos + offset.left) - (parentWidth / 2) + (width / 2)
			}, 200);

			this.parentView.changeWeek();

		},
		onClose: function(){
			if (this.model) {
				this.model.unbind('change', this.render, this);
				this.model.unbind();
			}
			this.stopListening();
			this.undelegateEvents();
		}
	});

	app.views.gameOfWeekView = Backbone.View.extend({
		el: '.game-of-week',
		// template: _.template($('#js-templates-game-of-week').html()),
		template: app.templates["game-of-week"],
		initialize: function(options){
			if (options.parentView) {
				this.parentView = options.parentView;
			}
			if (!this.model) {
				this.model = new app.models.gameOfWeekModel();
				this.model.bind('change', this.render, this);
				this.model.fetch();
			}
		},
		events: {
			"click .game":		"goToGame"
		},
		render: function() {
			var view = this,
			html = _.template(view.template());
			view.$el.html(html);
			return this;
		},
		changeWeek: function(){
			this.model.clear().fetch();
		},
		goToGame: function(e) {
			var target = $(e.currentTarget);
			app.router.route.navigate("!/game/" + target.data('id'), {trigger: true});
		},
		onClose: function(){
			if (this.model) {
				this.model.unbind('change', this.render, this);
				this.model.unbind();
			}
			this.stopListening();
			this.undelegateEvents();
		}
	});

	app.views.favoritesWeekView = Backbone.View.extend({
		el: '.favorites-by-week',
		//template: _.template($('#js-templates-favorites-by-week').html()),
		template: app.templates["favorites-by-week"],
		initialize: function(options){
			var view = this;
			if (options.parentView) {
				this.parentView = options.parentView;
			}
			if (!this.collection) {
				this.collection = new app.collections.favoriteCollection();
				this.collection.isFetching = true;

				this.collection.bind('sync', this.render, this);
				this.collection.fetch({
					complete: function(){
						view.collection.isFetching = false;
						view.render();
					}
				});
			}

		},
		events: {
			"click .game":		"goToGame"
		},
		render: function() {
			var view = this,
			html = _.template(view.template());
			view.$el.html(html);
			return this;
		},
		changeWeek: function(){
			var view = this;
			this.collection.remove();
			this.collection.isFetching = true;
			this.render();
			this.collection.fetch({
				success: function(){
					view.collection.isFetching = false;
					view.render();
				}
			});
		},
		goToGame: function(e) {
			var target = $(e.currentTarget);
			app.router.route.navigate("!/game/" + target.data('id'), {trigger: true});
		},
		onClose: function(){
			if (this.collection) {
				this.collection.unbind('sync', this.render, this);
				this.collection.unbind();
			}
			this.stopListening();
			this.undelegateEvents();
		}
	});

	app.views.conferenceWeekView = Backbone.View.extend({
		el: '.conferences-by-week',
		// template: _.template($('#js-templates-conferences-by-week').html()),
		template: app.templates["conferences-by-week"],
		initialize: function(options){
			var view = this;
			if (options.parentView) {
				this.parentView = options.parentView;
			}
			if (!this.collection) {
				this.collection = new app.collections.conferenceGameCollection();
				this.collection.isFetching = true;

				this.collection.bind('sync', this.render, this);
				this.collection.fetch({
					complete: function(){
						view.collection.isFetching = false;
						view.render();
					}
				});
			}
		},
		events: {
			"click .game":		"goToGame"
		},
		render: function() {
			var view = this,
			html = _.template(view.template());
			view.$el.html(html);
			return this;
		},
		changeWeek: function(){
			var view = this;
			this.collection.remove();
			this.collection.isFetching = true;
			this.render();
			this.collection.fetch({
				success: function(){
					view.collection.isFetching = false;
					view.render();
				}
			});
		},
		goToGame: function(e) {
			var target = $(e.currentTarget);
			app.router.route.navigate("!/game/" + target.data('id'), {trigger: true});
		},
		onClose: function(){
			if (this.collection) {
				this.collection.unbind('sync', this.render, this);
				this.collection.unbind();
			}
			this.stopListening();
			this.undelegateEvents();
		}
	});

	app.views.gameView = Backbone.View.extend({

		el: '#container',

		// template: _.template($('#js-templates-game-detail').html()),
		template: app.templates["game-detail"],

		initialize: function () {
			var view = this;
			this.model.bind('change', this.render, this);
			this.model.fetch({
				success: function(model){
					model.set('loaded', true);
					model.getTeamInfo();
					model.getGameComments();
					model.getVenueInfo();

				}
			});
		},

		events: {
			"click #burger":			"toggleMenu",
			"click #back":				"goBack",
			"click .tab":				"toggleTab",
			"click .stat-tab-table td":	"toggleStatTab",
			"click .game-tab-table td":	"toggleGameTab",
			"click .address a":			"launchDirections",
			"click #ad":				"launchAd",
			"click #reload":			"reload",
			"click .helmet":            "goToTeamSchedule"
		},

		reload: function() {
			this.model.fetch({
				beforeSend: function(){
					$("#container.game").append('<div class="overlay"></div>');
				},
				success: function(model){
					$("#container.game > .overlay").remove();
					model.set('loaded', true);
					model.getTeamInfo();
					model.getGameComments();
					model.getVenueInfo();

				}
			});
		},

		launchDirections: function(e) {
			var ref = window.open($(e.currentTarget).data('url'), '_system', 'location=no');
			e.preventDefault();
			return false;
		},

		launchAd: function(){
			this.adView.model.launchAd();
		},

		goToTeamSchedule: function(e){
			var target = $(e.currentTarget);
			app.router.route.navigate("!/team-schedule/" + target.data('teams-id') + '/' + app.collections.seasons.getActiveSeason().get('id'), {trigger: true});
		},

		render: function() {
			var view = this,
			html = _.template(view.template());
			view.$el.html(html);

			if (view.model.get('teams_id_home') && view.model.get('teams_id_visitor')) {

				if (!view.adView) {
					var adModel = new app.models.adTeamModel({
						"home_id": view.model.get('teams_id_home'),
						"visitor_id": view.model.get('teams_id_visitor'),
						"week": view.model.get('week')
					});
					view.adView = new app.views.adView({"model": adModel});
					view.adView.model.showAds();
				} else {
					view.adView.$el = $('.adv_container');
					view.adView.render();
				}

				if (!view.teamStats) {
					view.teamStats = new app.views.teamStatsView({
						"el":			"div.stat-tab.team-stats",
						"game_id":		view.model.get('id'),
						"home":			view.model.get('teams_id_home'),
						"visitor":		view.model.get('teams_id_visitor'),
						"parentModel":	view.model
					});
				} else {
					view.teamStats.$el = $("div.stat-tab.team-stats");
					view.teamStats.render();
				}

				if (!view.homePlayerStats) {
					view.homePlayerStats = new app.views.playerStatView({
						"el":			".home-stats",
						"game_id":		view.model.get('id'),
						"team":			view.model.get('teams_id_home'),
						"parentModel":	view.model
					});
				} else {
					view.homePlayerStats.$el = $('.home-stats');
					view.homePlayerStats.render();
				}

				if (!view.visitorPlayerStats) {
					view.visitorPlayerStats = new app.views.playerStatView({
						"el":			".visitor-stats",
						"game_id":		view.model.get('id'),
						"team":			view.model.get('teams_id_visitor'),
						"parentModel":	view.model
					});
				} else {
					view.visitorPlayerStats.$el = $(".visitor-stats");
					view.visitorPlayerStats.render();
				}

			}

			return this;
		},

		toggleMenu: function(){
			$.sidr('toggle');
		},

		goBack: function(){
			app.router.route.stepBack();
		},

		toggleTab: function(e){
			var tab = $(e.currentTarget);
			if (!tab.hasClass('active')) {
				$('.tab.active').removeClass('active');
				tab.addClass('active');
				$('.tab-content > div').removeClass('active');
				$('.tab-content > div.' + tab.data('target')).addClass('active');
			}
		},

		toggleStatTab: function(e){
			var tab = $(e.currentTarget);
			if (!tab.hasClass('active')) {
				$('.stat-tab-table td.active').removeClass('active');
				tab.addClass('active');
				$('.stat-tab.active').removeClass('active');
				$('.stat-tab.' + tab.data('target')).addClass('active');
			}
		},

		toggleGameTab: function(e){
			var tab = $(e.currentTarget);
			if (!tab.hasClass('active')) {
				$('.game-tab-table td.active').removeClass('active');
				tab.addClass('active');
				$('.game-tab.active').removeClass('active');
				$('.game-tab.' + tab.data('target')).addClass('active');
			}
		},

		onClose: function(){
			if (this.model) {
				this.model.unbind('change', this.render, this);
				this.model.unbind();
			}
			if (this.adView) {
				if (this.adView.model) {
					this.adView.model.killSwitch();
				}
				this.adView.close();
			}
			this.stopListening();
			this.undelegateEvents();
		}
	});

	app.views.teamStatsView = Backbone.View.extend({

		el: 'div.stat-tab.team-stats',

		// template: _.template($('#js-templates-team-stats').html()),
		template: app.templates["team-stats"],

		initialize: function (options) {

			if (options.home) {
				this.home = new app.models.teamModel({
					"id":	options.home,
					"game_id":	options.game_id
				});
				this.home.bind('change', this.render, this);
				this.home.getAll();
			}
			if (options.visitor) {
				this.visitor = new app.models.teamModel({
					"id":	options.visitor,
					"game_id":	options.game_id
				});
				this.visitor.bind('change', this.render, this);
				this.visitor.getAll();
			}
			if (options.parentModel) {
				this.parentModel = options.parentModel;
			}
		},

		events: {},

		render: function() {
			var view = this;
			var html = _.template(view.template());
			view.$el.html(html);

			return this;
		},

		onClose: function(){
			if (this.home) {
				this.home.unbind('change', this.render, this);
				this.home = null;
			}
			if (this.visitor) {
				this.visitor.unbind('change', this.render, this);
				this.visitor = null;
			}
			this.stopListening();
			this.undelegateEvents();
		}
	});

	app.views.playerStatView = Backbone.View.extend({

		//el: '.team-stats',

		//template: _.template($('#js-templates-player-stats').html()),
		template: app.templates["player-stats"],

		initialize: function (options) {

			if (options.team) {
				this.team = new app.models.teamModel({
					"id":	options.team,
					"game_id":	options.game_id
				});
				this.team.bind('change', this.render, this);
				this.team.getPlayers();
			}
			if (options.parentModel) {
				this.parentModel = options.parentModel;
			}
		},

		events: {},

		render: function() {
			var view = this;
			var html = _.template(view.template());
			view.$el.html(html);

			return this;
		},

		onClose: function(){
			if (this.team) {
				this.team.unbind('change', this.render, this);
				this.team = null;
			}
			this.stopListening();
			this.undelegateEvents();
		}
	});

})();